<%@ Language=JavaScript %>
<!---
//*****************************************************************************
//*
//* Copyright (c) ComponentOne, LLC.
//* Portions Copyright (c) 1999, KL GROUP INC.
//* http://www.componentone.com
//*
//* This file is provided for demonstration and educational uses only.
//* Permission to use, copy, modify and distribute this file for
//* any purpose and without fee is hereby granted, provided that the
//* above copyright notice and this permission notice appear in all
//* copies, and that the name of ComponentOne not be used in advertising
//* or publicity pertaining to this material without the specific,
//* prior written permission of an authorized representative of
//* ComponentOne.
//*
//* ComponentOne MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
//* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
//* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
//* PURPOSE, OR NON-INFRINGEMENT. ComponentOne SHALL NOT BE LIABLE FOR ANY
//* DAMAGES SUFFERED BY USERS AS A RESULT OF USING, MODIFYING OR
//* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
//*
//*****************************************************************************
-->
<!-- #INCLUDE VIRTUAL="/WebChart8/Include/JavaS/color.inc" -->
<!-- #INCLUDE VIRTUAL="/WebChart8/Include/JavaS/2dconst.inc" -->
<!-- #INCLUDE VIRTUAL="/WebChart8/Include/JavaS/2dgentag.inc" -->
<!-- #INCLUDE VIRTUAL="/WebChart8/Include/JavaS/utils.inc" -->

<html>

  <head>
    <title>ComponentOne WebChart 2D - Radar Chart</title>
  </head>

  <body link=#003399 vlink=#cc0000" bgcolor=#ffffff>

  <%
    //Set up the page headers and titles
    DemoPageHeader();                     // utils.inc
    DemoTitle2D("Radar Chart Example");   // utils.inc

    var CurrentFilled;
    CurrentFilled = (Request.Form("Filled") == "ON");

    var CurrentStacked;
    CurrentStacked = (Request.Form("Stacked") == "ON");
  %>

  <form action="radar.asp" method="Post" id="form1" name="form1">
    <p>
      <table border=0 align=center width=80% >
        <tr align=center>
          <td>
            <input id="Filled" name="Filled" type="checkbox"
              <% DemoCheckWriter(CurrentFilled) %> value="ON">
            Filled?
          </td>
          <td>
            <input id="Stacked" name="Stacked" type="checkbox"
              <% DemoCheckWriter(CurrentStacked) %> value="ON">
            Stacked?
          </td>
        </tr>
      </table>
    </p>

    <p>
      <table border=0 align=center width=80% >
        <tr align=center>
          <td>
            Please click <input type="submit" name="B1" value="Submit">
            to see the changes reflected in the chart below:
          </td>
        </tr>
      </table>
    </p>
  </form>

  <%
    Chart2D1 = Server.CreateObject( "C1Chart2D8.ASPComponent" );

    with(Chart2D1)
    {
      Width = 600;
      Height = 400;
	
      // Accept the data from the two check boxes
      with(ChartGroups(1))
      {
        IsStacked = CurrentStacked    ;
        if(CurrentFilled)
          ChartType = oc2dTypeFilledRadar;
        else
          ChartType = oc2dTypeRadar;
      }

      //Change some colors
      Interior.BackgroundColor = ocColorLightBlue;
      with(ChartArea)
      {
        Interior.BackgroundColor = ocColorLightYellow;
        PlotArea.Interior.BackgroundColor = ocColorAntiqueWhite;
      }

      //Change some border styles
      with(Border)
      {
        Type = oc2dBorder3DIn;
        Width = 4;
      }
      with(ChartArea.Border)
      {
        Type = oc2dBorder3DIn;
        Width = 4;
      }

      //Setup the Header
      with(Header)
      {
        Text.Text = "Radar Chart for System Adaptability";
        Font.Size = 14;
        Border = oc2dBorderShadow;
        Border.Width = 4;
        Interior.BackgroundColor = ocColorPaleTurquoise;
      }

      //Setup the Legend
      with(Legend)
      {
        Font.Size = 9;
        Border.Type = oc2dBorderShadow;
        Border.Width = 4;
        Interior.BackgroundColor = ocColorAntiqueWhite;
        Orientation = oc2dOrientHorizontal;
        Anchor = oc2dAnchorSouth;
      }

      //Setup the X and Y Axes
      with(ChartArea)
      {
        with(Axes("X"))
        {
          AnnotationMethod = oc2dAnnotatePointLabels;
          Font.Size = 10;
          IsReversed = true;
          MajorGrid.Spacing.IsDefault = true;
        }
        with(Axes("Y"))
        {
          MajorGrid.Spacing.IsDefault = true;
          DataMin = 0;
        }
      }

      //Add some labels to put at the end of each Axis 'Spoke'
      with(ChartGroups(1))
      {
        with(PointLabels)
        {
          Add("Introduce");
          Add("Response");
          Add("Travel Time");
          Add("Get On/Off");
          Add("Comfort");
          Add("Social");
          Add("Operate");
        }

        //Add some labels to put in the Legend
        with(SeriesLabels)
        {
          Add("New Transport");
          Add("OTIS");
          Add("Mobile Walk");
        }

        //Setup the data structure of the Chart
        with(Data)
        {
          NumSeries = 3;
          NumPoints(1) = 7;

         //Fill in the Series 1 Data
          X(1, 1) = 1;
          Y(1, 1) = 2.8;
          X(1, 2) = 2;
          Y(1, 2) = 3.5;
          X(1, 3) = 3;
          Y(1, 3) = 3.3;
          X(1, 4) = 4;
          Y(1, 4) = 2;
          X(1, 5) = 5;
          Y(1, 5) = 4;
          X(1, 6) = 6;
          Y(1, 6) = 3;
          X(1, 7) = 7;
          Y(1, 7) = 2.9;

         //Fill in the Series 2 Data
          Y(2, 1) = 3.2;
          Y(2, 2) = 3.3;
          Y(2, 3) = 3.5;
          Y(2, 4) = 2.4;
          Y(2, 5) = 3.8;
          Y(2, 6) = 3.4;
          Y(2, 7) = 4.2;

         //Fill in the Series 3 Data
          Y(3, 1) = 3.6;
          Y(3, 2) = 5;
          Y(3, 3) = 3.3;
          Y(3, 4) = 5;
          Y(3, 5) = 3.6;
          Y(3, 6) = 4.3;
          Y(3, 7) = 3.8;

        }

        //Change the colors of the 3 Series
        Styles(1).Line.Color = ocColorOrange;
        Styles(2).Line.Color = ocColorBlue;
        Styles(3).Line.Color = ocColorGreen;
      }
    }

    DemoSeparator();
  %>

  <p align=center>
    <%
      var dispChart = Session("DispChart");
      if(dispChart == "Jpeg")
        OlectraChart2D_GenerateTag_JPEG(Chart2D1, "Chart2D1");
      else if(dispChart == "Png")
        OlectraChart2D_GenerateTag_PNG(Chart2D1, "Chart2D1");
      else if(dispChart == "Png-BinaryWrite")
        OlectraChart2D_GenerateTag_PNG_BinaryWrite(Chart2D1, "Chart2D1");
      else if(dispChart == "Jpeg-BinaryWrite")
        OlectraChart2D_GenerateTag_JPEG_BinaryWrite(Chart2D1, "Chart2D1");
      else
        OlectraChart2D_GenerateTag(Chart2D1, "Chart2D1");
    %>
  </p>

  <table border=0 align=center width=90% >
    <tr>
      <td>
        This example shows how to create a Radar Chart. In this example,
        the Radar Chart is used to rank products based upon different
        criteria. Select/deselect the &quot;Filled&quot; and &quot;Stacked&quot;
        check boxes to change the appearance of the displayed data.
      </td>
    </tr>
  </table>

  <%
    DemoSeparator();
    DemoCopyrightAndSource();

    Chart2D1=0;
  %>

  </body>
</html>
