<%@ Language=JavaScript %>
<!---
//*****************************************************************************
//*
//* Copyright (c) ComponentOne, LLC.
//* http://www.componentone.com
//*
//* This file is provided for demonstration and educational uses only.
//* Permission to use, copy, modify and distribute this file for
//* any purpose and without fee is hereby granted, provided that the
//* above copyright notice and this permission notice appear in all
//* copies, and that the name of ComponentOne not be used in advertising
//* or publicity pertaining to this material without the specific,
//* prior written permission of an authorized representative of
//* ComponentOne.
//*
//* ComponentOne MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
//* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
//* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
//* PURPOSE, OR NON-INFRINGEMENT. ComponentOne SHALL NOT BE LIABLE FOR ANY
//* DAMAGES SUFFERED BY USERS AS A RESULT OF USING, MODIFYING OR
//* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
//*
//*****************************************************************************
-->
<!-- #INCLUDE VIRTUAL="/WebChart8/Include/JavaS/color.inc" -->
<!-- #INCLUDE VIRTUAL="/WebChart8/Include/JavaS/2dconst.inc" -->
<!-- #INCLUDE VIRTUAL="/WebChart8/Include/JavaS/2dgentag.inc" -->
<!-- #INCLUDE VIRTUAL="/WebChart8/Include/JavaS/utils.inc" -->

  <head>
    <title>ComponentOne WebChart 2D - AlarmZones Example</title>
  </head>

  <body link="#003399" vlink="#cc0000" bgcolor="#ffffff">

  <%
    //Set up the page headers and titles
    DemoPageHeader();                     // utils.inc
    DemoTitle2D("AlarmZones Example");    // utils.inc

    //
    //Set up the chart object itself
    //

    var Chart2D1;
    Chart2D1 = Server.CreateObject("C1Chart2D8.ASPComponent");

    function SortIntegerArray(iarray)
    {
      //Sort an array of integers using a Shell Sort.
      var n, hold;
      var ilow, ihi;
      var inc, i, j;
      ilow = 0;
      ihi = iarray.length - 1;
      
      //Determine the starting increment
      inc = 1;
      do {
          inc = inc * 3 + 1;
      } while(inc <= ihi - ilow + 1);
      
      //Loop over the partial sorts
      do {
        inc = Math.floor(inc/3);
        
        for(i = inc + ilow; i <= ihi; i++)
        {
          hold = iarray[i];
          j = i;
          while (iarray[j - inc] > hold)
          {
            iarray[j] = iarray[j - inc];
            j = j - inc;
            if(j <= inc)
              break;
          }
          iarray[j] = hold
        }
      } while(inc > 1);
    }

    function GetStudentPointTotals()
    {
      //
      // Generates ficticious student scores for the demo,
      // using the Rnd() random number generation function.
      //
      var nStudents = 300;
      var nMaxPoints = 1600;
    
      pts = new Array(nStudents);
    
      var i;
      for(i = 0; i < nStudents; i++)
          pts[i] = Math.round(nMaxPoints * (1 + Math.random()) / 2);
    
      return pts;
    }

    function GetStatistics(PointTotals, stats)
    {
      //
      // Calculates the Mean and Standard Deviation of an
      // all inclusive group of integers.  These values
      // are calculated in the same way as the chart
      // data object calculates them.
      //
      var sum;
      var n, i;
      var Mean, StdDev;

      sum = 0;
      n = PointTotals.length;
      for(i = 0; i < n; i++)
        sum = sum + PointTotals[i];

      Mean = sum / n;
      
      var temp;
      sum = 0;
      for(i = 0; i < n; i++)
      {
        temp = PointTotals[i] - Mean;
        sum += temp * temp;
      }
      StdDev = Math.sqrt(sum / (n-1));

      stats[0] = Mean;
      stats[1] = StdDev;
    }

    function GetBoundingIndex(scores, frac)
    {
      // Assumes scores are sorted, then obtains the
      // index of the first scores() element below
      // the specified percentile fraction
      var i, n
      n = scores.length;
      i = n * frac
      while(i > 0 && scores[i] == scores[i + 1])
        i = i - 1;

      return i;
    }

    function Chart2D1_Load()
    {
      //
      // Sets up the chart for the demo.
      //
      with(Chart2D1)
      {
        Width = 632;
        Height = 453;
      
        ChartGroups(1).Data.NumSeries = 0;     //clear the chart
      }

      //Load the student point results
      var StudentPointResults = GetStudentPointTotals();
      var nStudents = StudentPointResults.length;
      
      //Get the statistics
      var mu, sigma, stats = new Array(2);

      GetStatistics(StudentPointResults, stats);
      mu = stats[0];
      sigma = stats[1];

      //Plot the information
      var i;
      with(Chart2D1)
      {
        IsBatched = true;
        with(Header)
        {
          Font.Name = "Tahoma";
          Font.Size = 18;
          Font.Bold = true;
          Text.Text = "Student Scores And Grades";
        }
        
        Interior.BackgroundColor = 0x96C080;
        
        //Set the chart scatter points.
        with(ChartGroups(1))
        {
          with(Data)
          {
            // set the layout to general, so each series
            // has its own number of points
            Layout = oc2dDataGeneral;
        
            // set the series and point counts
            NumSeries = 6;
            NumPoints(1) = nStudents;             // scatter points
            NumPoints(2) = 2;                     // - 2;StdDev
            NumPoints(3) = 2;                     // - 1 StdDev
            NumPoints(4) = 2;                     //    mean
            NumPoints(5) = 2;                     // + 1 StdDev
            NumPoints(6) = 2;                     // + 2 StdDev
        
            //add the scatter plot data
            for(i=1; i <= nStudents; i++)
              Y(1, i) = StudentPointResults[i-1];
          }
        
          with(Styles(1))
          {
            Line.Pattern = oc2dLineNone;
            Symbol.Shape = oc2dShapeStar;
            Symbol.Color = 192;         //dark red
          }
        
        }
        IsBatched = false                    // force updates
        
        //Set the remaining plots
        IsBatched = true;
        var xvals = new Array(2);
        var yvals = new Array(2);
        with(Chart2D1.ChartArea.Axes("X"))
        {
          xvals[0] = Min;
          xvals[1] = Max;
        }
        
        // Add the statistical data and their styles.
        with(ChartGroups(1))
        {
          with(Data)
          {
            //add the deviations marks
            var s;
            s = 2;
            for(i = -2; i <= 2; i++)
            {
              yvals[0] = mu + i * sigma;
              yvals[1] = yvals[0];
        
              var j;
              for(j=1; j <= xvals.length; j++)
                X(s, j) = xvals[j-1];

              for(j=1; j <= yvals.length; j++)
                Y(s, j) = yvals[j-1];

              s = s + 1;
            }
          }
        
          for(i = 2; i <= 6; i++)
          {
            with(Styles(i))
            {
              Line.Width = 2;
              Line.Color = 0;
              if(i == 4)
                Line.Pattern = 2;
              else
                Line.Pattern = i + 1;
              Symbol.Shape = oc2dShapeNone;
            }
          }
        
          // Add the series labels for the Legend.
          SeriesLabels.Add("a raw score");
          SeriesLabels.Add("\265 - 2 s");
          SeriesLabels.Add("\265 - s");
          SeriesLabels.Add("\265 (mean)");
          SeriesLabels.Add("\265 + s");
          SeriesLabels.Add("\265 + 2 s");
        }
        
        // Set the Legend properties
        with(Legend)
        {
          IsReversed = true;
          Font.Name = "Tahoma";
          Font.Size = 10;
          Border = oc2dBorderNone;
        }
        
        IsBatched = false;
      
      }
      
      //Sort the results, ascending
      SortIntegerArray(StudentPointResults);

      //Get the bounds of each letter grade
      var bound = new Array(4);
      
      // At most 95% of the students will not get an A
      bound[3] = GetBoundingIndex(StudentPointResults, 0.95);
      
      // At most 75% of the students will not get a B or higher
      bound[2] = GetBoundingIndex(StudentPointResults, 0.75);
      
      // At most 25% of the students will not get a C or higher
      bound[1] = GetBoundingIndex(StudentPointResults, 0.25);
      
      // At most 5% of the students will not get a D or higher
      bound[0] = GetBoundingIndex(StudentPointResults, 0.05);
      
      with(Chart2D1)
      {
        with(ChartArea)
        {
          var yMin, yMax;
          
          // Get the necessary Axis information and
          // make the appropriate settings
          with(Axes("Y"))
          {
            yMin = Min;
            yMax = Max;
            Title.Text = "Student Accumulated Points";
            Font.Name = "Tahoma";
            Font.Bold = true;
            Font.Size = 10;
            TitleRotation = oc2dRotate90Degrees;
          }
          
          with(Axes("X"))
          {
            Title.Text = "Student Number";
            TitleRotation = oc2dRotateNone;
          }
          
          PlotArea.IsBoxed = true;
          
          //
          //  Here we create the alarm zones and set the zone properties
          //
          var colors = new Array(5);
          colors[0] = 0xC0C0FF;        // darker red for failure
          colors[1] = 0xE4E4FF;        // light red for danger
          colors[2] = 0x80E4FF;        // yellow for neutral
          colors[3] = 0x80FF80;        // green for good
          colors[4] = 0xE18080;        // blue for excellence
          
          with(AlarmZones)
          {
            for(i = 1; i <= 5; i++)
            {
              with(Add(i.toString()))
              {
                BackgroundColor = colors[i-1];
                if(i == 1)
                  LowerExtent = yMin;
                else
                  LowerExtent = StudentPointResults[bound[i - 2]];

                if(i == 5)
                  UpperExtent = yMax;
                else
                  UpperExtent = StudentPointResults[bound[i-1]];
              }
            }
          }
        }
        
        var gradeLeft, gradeTop;
        gradeLeft = Legend.Location.Left + Legend.Location.Width / 3;
        gradeTop = ChartArea.Location.Top + 30;
        
        var grade = "ABCDF"
        for(i = 1; i <= 5; i++)
        {
          with(ChartLabels.Add)
          {
            AttachMethod = oc2dAttachCoord;
            with(AttachCoord)
            {
              X = gradeLeft;
              Y = gradeTop;
              gradeTop = gradeTop + 30;
            }
            Text.Text = grade.charAt(i-1);

            Font.Bold = true;
            Font.Size = 18;
            Interior.ForegroundColor = colors[6 - i - 1];
          }
        }
        
        Legend.Location.Top = gradeTop;
      }
    }

    Chart2D1_Load();

  %>

  <p align="center">
    <%
      var dispChart;
      dispChart = Session("DispChart");
      if(dispChart == "Jpeg")
        OlectraChart2D_GenerateTag_JPEG(Chart2D1, "Chart2D1");
      else if(dispChart == "Png")
        OlectraChart2D_GenerateTag_PNG(Chart2D1, "Chart2D1");
      else if(dispChart == "Png-BinaryWrite")
        OlectraChart2D_GenerateTag_PNG_BinaryWrite(Chart2D1, "Chart2D1");
      else if(dispChart == "Jpeg-BinaryWrite")
        OlectraChart2D_GenerateTag_JPEG_BinaryWrite(Chart2D1, "Chart2D1");
      else
        OlectraChart2D_GenerateTag(Chart2D1, "Chart2D1")
    %>
  </p>

  <p align="center">
    <%
      var CData;
      var nFormat;
      CData = Chart2D1.ChartGroups(1).Data;

      function EmitVal(val) { Response.Write(val.toString()); }
      function EmitDbl(val)
      {
        var s = (val + 0.005).toString();
        var p = s.indexOf(".");
        if(p >= 0)
          p += 3;
        else
          p = s.length;
        Response.Write(s.substr(0,p));
      }
    %>

    <!-- Build a table for the chart calculate statistics.  Make it the same -->
    <!-- width as the chart itself                                           -->
    <table align="center" width=<%EmitVal(Chart2D1.Width)%> border="1" frame="hsides" rules="rows" bordercolorlight="white">
    <colgroup><col align=right span=2><col width="25%"><col align=right span=2></colgroup>
      <tr><td>Maximum Grade:     </td><td><%EmitVal(CData.DataMax(1))%>           </td><td></td>
          <td>Minimum Grade:     </td><td><%EmitVal(CData.DataMin(1))%>           </td></tr>
      <tr><td>Number of Students:</td><td><%EmitVal(CData.DataCount(1))%>         </td><td></td>
          <td>Mean Grade:        </td><td><%EmitDbl(CData.Mean(1))%>              </td></tr>
      <tr><td>Median Grade:      </td><td><%EmitDbl(CData.Median(1))%>            </td><td></td>
          <td>Average Deviation: </td><td><%EmitDbl(CData.AverageDeviation(1))%>  </td></tr>
      <tr><td>Standard Deviation:</td><td><%EmitDbl(CData.StandardDeviation(1))%> </td><td></td>
          <td>Variance:          </td><td><%EmitDbl(CData.StandardDeviation(1)*CData.StandardDeviation(1))%> </td></tr>
    </table>
  </p>

  <p align="center">
    <%
      DemoSeparator();                              // utils.inc
      DemoCopyrightAndSource();                     // utils.inc
      nFormat=0;
      CData=0;
      Chart2D1=0;
    %>
  </p>

  </body>
</html>
