<%@ LANGUAGE="JAVASCRIPT" %>
<!---
//*****************************************************************************
//*
//* Copyright (c) ComponentOne, LLC.
//* Portions Copyright (c) 1999, KL GROUP INC.
//* http://www.componentone.com
//*
//* This file is provided for demonstration and educational uses only.
//* Permission to use, copy, modify and distribute this file for
//* any purpose and without fee is hereby granted, provided that the
//* above copyright notice and this permission notice appear in all
//* copies, and that the name of ComponentOne not be used in advertising
//* or publicity pertaining to this material without the specific,
//* prior written permission of an authorized representative of
//* ComponentOne.
//*
//* ComponentOne MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
//* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
//* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
//* PURPOSE, OR NON-INFRINGEMENT. ComponentOne SHALL NOT BE LIABLE FOR ANY
//* DAMAGES SUFFERED BY USERS AS A RESULT OF USING, MODIFYING OR
//* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
//*
//*****************************************************************************
-->
<!-- #INCLUDE VIRTUAL="/WebChart8/Include/JavaS/color.inc" -->
<!-- #INCLUDE VIRTUAL="/WebChart8/Include/JavaS/2dconst.inc" -->
<!-- #INCLUDE VIRTUAL="/WebChart8/Include/JavaS/2dgentag.inc" -->
<!-- #INCLUDE VIRTUAL="/WebChart8/Include/JavaS/utils.inc" -->

<html>

  <head>
    <title>ComponentOne WebChart 2D - Error Bars Example</title>
  </head>

  <body link=#003399 vlink=#cc0000 bgcolor=#ffffff>

  <%
    DemoPageHeader();
    DemoTitle2D("Error Bars Example");
 
    var Chart2D1;
    Chart2D1 = Server.CreateObject( "C1Chart2D8.ASPComponent" );

    with(Chart2D1)
    {
      Width = 610;
      Height = 400;

      //Setup some colors in the Chart
      ChartArea.Interior.BackgroundColor = ocColorLightYellow;
      Interior.BackgroundColor = ocColorLightBlue;

      //Add a border to the Chart Area
      with(ChartArea)
      {
        Border.Type = oc2dBorder3DIn;                 //Set a border for the chartarea
        Border.Width = 4;
      }

      //Setup the Header
      with(Header)
      {
        Text.Text = "These are Error Bars!";
        Font.Size = 14;
        Border.Type = oc2dBorderShadow;
        Border.Width = 4;
        Interior.BackgroundColor = ocColorWhite;
      }

      //Do some general Chart Area and Axes setup
      with(ChartArea)
      {
        HiLoOpenClose.IsOpenCloseFullWidth = true;
        Axes("X").AxisStyle.LineStyle.Color = ocColorRed;
        with(Axes("Y"))
        {
          Min = 0;
          AnnotationRotationAngle = 30;
          AxisStyle.LineStyle.Color = ocColorBlue;
        }
        with(Axes("Y2"))
        {
          Multiplier = 1;  //Both the Y and Y2 axis have the same values
          AnnotationRotationAngle = 330;
          AxisStyle.LineStyle.Color = ocColorBlue;
        }
      }

      
      // Setup the Chart Types and Data Styles
      var CG1, CG2
      CG1 = ChartGroups(1);
      CG2 = ChartGroups(2);

      with(CG1)
      {
        ChartType = oc2dTypeHiLoOpenClose;
        DrawingOrder = 2;
      }

      with(CG2)
      {
        ChartType = oc2dTypePlot;
        DrawingOrder = 1;

        with(Styles.Add())
        {
          Line.Pattern = oc2dLineNone;
          Symbol.Size = 9;
          Symbol.Shape = oc2dShapeBox;
          Symbol.Color = ocColorBlack;
        }

        Data.NumSeries = 1;
        Data.NumPoints(1) = CG1.Data.NumPoints(1);
      }

      //Calculate the midpoint between the Hi and Lo values and add its value
      //to the second Data Group for display as an XY Plot
      var x;
      var MidValue;
      for (x = 1; x <= CG1.Data.NumPoints(1); x++)
      {
        CG1.Data.Y(3, x) = CG1.Data.Y(1, x);
        CG1.Data.Y(4, x) = CG1.Data.Y(2, x);
        MidValue = (CG1.Data.Y(1, x) + CG1.Data.Y(2, x)) / 2;
        CG2.Data.x(1, x) = x;
        CG2.Data.Y(1, x) = MidValue;
      }
    }
  %>

  <p align=center>
    <%
      var dispChart = Session("DispChart");
      if(dispChart == "Jpeg")
        OlectraChart2D_GenerateTag_JPEG(Chart2D1, "Chart2D1");
      else if(dispChart == "Png")
        OlectraChart2D_GenerateTag_PNG(Chart2D1, "Chart2D1");
      else if(dispChart == "Png-BinaryWrite")
        OlectraChart2D_GenerateTag_PNG_BinaryWrite(Chart2D1, "Chart2D1");
      else if(dispChart == "Jpeg-BinaryWrite")
        OlectraChart2D_GenerateTag_JPEG_BinaryWrite(Chart2D1, "Chart2D1");
      else
        OlectraChart2D_GenerateTag(Chart2D1, "Chart2D1");
    %>
  </p>

  <p align=left width=90% >
    <font face="Arial"><table align=center width=90% ><tbody><tr><td>
      This example shows how to create an Error Bar chart. An Error Bar
      chart is typically used in statistical applications to calculate
      the median of a high and low value. In this example, a HiLoOpenClose
      chart and a Plot chart are combined.
    </td></tr></tbody></table></font>
  </p>

  <%
    DemoSeparator()
    DemoCopyrightAndSource()
    Chart2D1 = 0
  %>

  </body>
</html>
