<%@ LANGUAGE="JavaScript" %>
<!---
//*****************************************************************************
//*
//* Copyright (c) ComponentOne, LLC.
//* http://www.componentone.com
//*
//* This file is provided for demonstration and educational uses only.
//* Permission to use, copy, modify and distribute this file for
//* any purpose and without fee is hereby granted, provided that the
//* above copyright notice and this permission notice appear in all
//* copies, and that the name of ComponentOne not be used in advertising
//* or publicity pertaining to this material without the specific,
//* prior written permission of an authorized representative of
//* ComponentOne.
//*
//* ComponentOne MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
//* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
//* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
//* PURPOSE, OR NON-INFRINGEMENT. ComponentOne SHALL NOT BE LIABLE FOR ANY
//* DAMAGES SUFFERED BY USERS AS A RESULT OF USING, MODIFYING OR
//* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
//*
//*****************************************************************************
-->
<!-- #INCLUDE VIRTUAL="/WebChart8/Include/Javas/color.inc" -->
<!-- #INCLUDE VIRTUAL="/WebChart8/Include/Javas/2dconst.inc" -->

<%
  function Chart2D_Load()
  {
    with(Chart2D)
    {
      Width = 400;
      Height = 300;
      IsBatched = true;

      if (ChartType=="BAR")
        ChartGroups(1).ChartType = oc2dTypeBar;
      else if( ChartType=="SBAR")
        ChartGroups(1).ChartType = oc2dTypeStackingBar;
      else
        SetupPlotChart();

      if (FColor=="BLUE")
        Interior.ForegroundColor = ocColorBlue;
      else if( FColor=="DARKGREEN")
        Interior.ForegroundColor = ocColorDarkGreen;
      else if( FColor=="RED")
        Interior.ForegroundColor = ocColorRed;

      if( BColor=="LIGHTBLUE")
        Interior.BackgroundColor = ocColorLightBlue;
      else if( BColor=="LIGHTSEAGREEN")
        Interior.BackgroundColor = ocColorLightSeaGreen;
      else if( BColor=="MISTYROSE")
        Interior.BackgroundColor = ocColorMistyRose;

      IsBatched = false;
    }
  } 

  function SetupPlotChart()
  {
    with( Chart2D)
    {
      with (ChartGroups(1))
      {
        with (Data)
        {
          Layout = oc2dDataArray;
          NumSeries = 3;
          NumPoints(1) = 101;
          NumPoints(2) = 101;
          NumPoints(3) = 101;
          for( i=1; i< 101; i++)
          {
            xp = (i - 51) * 0.05;
            E = Math.exp( -xp*xp);
            X(1, i) = xp;
            Y(1, i) = Math.sin(i) * E;
            Y(2, i) = E;
            Y(3, i) = -E;
          }
        }
        with( Styles(1))
        {
          Symbol.Shape = oc2dShapeNone;
          Line.Color = ocColorGray;
        }
        with( Styles(2))
        {
          Symbol.Shape = oc2dShapeDot;
          Symbol.Size = 2;
          Line.Pattern = oc2dLineNone;
          Symbol.Color = ocColorRed;
        }
        with( Styles(3))
        {
          Symbol.Shape = oc2dShapeDot;
          Symbol.Color = ocColorBlue;
          Symbol.Size = 2;
          Line.Pattern = oc2dLineNone;
        }

      }
      with(ChartArea)
      {
        with(Axes("X"))
        {
          Min = -2.5;
          Max = 2.5;
        }
      }
    }
  }

  var Chart2D, ImageBytes, Grayscale, Quality, ChartType, FColor, BColor;

  Chart2D = Server.CreateObject("C1Chart2D8.ASPComponent");

  Grayscale = Request.QueryString("Grayscale")=="T";

  Quality = Request.QueryString("Quality")

  if( Quality==null || Quality>100 || Quality<0 )
    Quality = 85;

  FColor = Request.QueryString("FColor");
  BColor = Request.QueryString("BColor");
  ChartType = Request.QueryString("ChartType");

  Chart2D_Load();

  ImageBytes = Chart2D.SaveImageAsJpegBytes( Quality,Grayscale,false,false);

  if( ImageBytes!=null)
  {
    Response.Expires = 0;
    Response.Buffer = true;
    Response.Clear;

    Response.BinaryWrite( ImageBytes);
    Response.End;
  }
%>
