<%@ Language=VBScript %>
<!---
'*****************************************************************************
'*
'* Copyright (c) ComponentOne, LLC.
'* Portions Copyright (c) 1999, KL GROUP INC.
'* http://www.componentone.com
'*
'* This file is provided for demonstration and educational uses only.
'* Permission to use, copy, modify and distribute this file for
'* any purpose and without fee is hereby granted, provided that the
'* above copyright notice and this permission notice appear in all
'* copies, and that the name of ComponentOne not be used in advertising
'* or publicity pertaining to this material without the specific,
'* prior written permission of an authorized representative of
'* ComponentOne.
'*
'* ComponentOne MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
'* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
'* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
'* PURPOSE, OR NON-INFRINGEMENT. ComponentOne SHALL NOT BE LIABLE FOR ANY
'* DAMAGES SUFFERED BY USERS AS A RESULT OF USING, MODIFYING OR
'* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
'*
'*****************************************************************************
-->
<!-- #INCLUDE VIRTUAL="/WebChart8/Include/VBS/color.inc" -->
<!-- #INCLUDE VIRTUAL="/WebChart8/Include/VBS/2dconst.inc" -->
<!-- #INCLUDE VIRTUAL="/WebChart8/Include/VBS/2dgentag.inc" -->
<!-- #INCLUDE VIRTUAL="/WebChart8/Include/VBS/utils.inc" -->

<html>

  <head>
    <title>ComponentOne WebChart 2D - Radar Chart</title>
  </head>

  <body link="#003399" vlink="#cc0000" bgcolor="#ffffff">

  <%
    'Set up the page headers and titles
    Call DemoPageHeader                     ' utils.inc
    Call DemoTitle2D("Radar Chart Example") ' utils.inc

    Dim CurrentFilled
    CurrentFilled = (Request.Form("Filled") = "ON")

    Dim CurrentStacked
    CurrentStacked = (Request.Form("Stacked") = "ON")
  %>

  <form action="radar.asp" method="Post" id="form1" name="form1">
    <p>
      <table border=0 align=center width=80% >
        <tr align=center>
          <td>
            <input id="Filled" name="Filled" type="checkbox"
              <% DemoCheckWriter(CurrentFilled) %> value="ON">
            Filled?
          </td>
          <td>
            <input id="Stacked" name="Stacked" type="checkbox"
              <% DemoCheckWriter(CurrentStacked) %> value="ON">
            Stacked?
          </td>
        </tr>
      </table>
    </p>

    <p>
      <table border=0 align=center width=80% >
        <tr align=center>
          <td>
            Please click <input type="submit" name="B1" value="Submit">
            to see the changes reflected in the chart below:
          </td>
        </tr>
      </table>
    </p>
  </form>

  <%
    Set Chart2D1 = Server.CreateObject( "C1Chart2D8.ASPComponent" )

    With Chart2D1
      .Width = 600
      .Height = 400
	
      ' Accept the data from the two check boxes
      With .ChartGroups(1)
        .IsStacked = CurrentStacked    
        If CurrentFilled Then
          .ChartType = oc2dTypeFilledRadar
        Else
          .ChartType = oc2dTypeRadar
        End If
      End With

      'Change some colors
      .Interior.BackgroundColor = ocColorLightBlue
      With .ChartArea
        .Interior.BackgroundColor = ocColorLightYellow
        .PlotArea.Interior.BackgroundColor = ocColorAntiqueWhite
      End With

      'Change some border styles
      With .Border
        .Type = oc2dBorder3DIn
        .Width = 4
      End With
      With .ChartArea.Border
        .Type = oc2dBorder3DIn
        .Width = 4
      End With

      'Setup the Header
      With .Header
        .Text.Text = "Radar Chart for System Adaptability"
        .Font.Size = 14
        .Border = oc2dBorderShadow
        .Border.Width = 4
        .Interior.BackgroundColor = ocColorPaleTurquoise
      End With

      'Setup the Legend
      With .Legend
        .Font.Size = 9
        .Border.Type = oc2dBorderShadow
        .Border.Width = 4
        .Interior.BackgroundColor = ocColorAntiqueWhite
        .Orientation = oc2dOrientHorizontal
        .Anchor = oc2dAnchorSouth
      End With

      'Setup the X and Y Axes
      With .ChartArea
        With .Axes("X")
          .AnnotationMethod = oc2dAnnotatePointLabels
          .Font.Size = 10
          .IsReversed = True
          .MajorGrid.Spacing.IsDefault = True
        End With
        With .Axes("Y")
          .MajorGrid.Spacing.IsDefault = True
          .DataMin = 0
        End With
      End With

      'Add some labels to put at the end of each Axis 'Spoke'
      With .ChartGroups(1)
        With .PointLabels
          Call .Add("Introduce")
          Call .Add("Response")
          Call .Add("Travel Time")
          Call .Add("Get On/Off")
          Call .Add("Comfort")
          Call .Add("Social")
          Call .Add("Operate")
        End With

        'Add some labels to put in the Legend
        With .SeriesLabels
          Call .Add("New Transport")
          Call .Add("OTIS")
          Call .Add("Mobile Walk")
        End With

        'Setup the data structure of the Chart
        With .Data
          .NumSeries = 3
          .NumPoints(1) = 7

         'Fill in the Series 1 Data
          .X(1, 1) = 1
          .Y(1, 1) = 2.8
          .X(1, 2) = 2
          .Y(1, 2) = 3.5
          .X(1, 3) = 3
          .Y(1, 3) = 3.3
          .X(1, 4) = 4
          .Y(1, 4) = 2
          .X(1, 5) = 5
          .Y(1, 5) = 4
          .X(1, 6) = 6
          .Y(1, 6) = 3
          .X(1, 7) = 7
          .Y(1, 7) = 2.9

         'Fill in the Series 2 Data
          .Y(2, 1) = 3.2
          .Y(2, 2) = 3.3
          .Y(2, 3) = 3.5
          .Y(2, 4) = 2.4
          .Y(2, 5) = 3.8
          .Y(2, 6) = 3.4
          .Y(2, 7) = 4.2

         'Fill in the Series 3 Data
          .Y(3, 1) = 3.6
          .Y(3, 2) = 5
          .Y(3, 3) = 3.3
          .Y(3, 4) = 5
          .Y(3, 5) = 3.6
          .Y(3, 6) = 4.3
          .Y(3, 7) = 3.8

        End With

        'Change the colors of the 3 Series
        .Styles(1).Line.Color = ocColorOrange
        .Styles(2).Line.Color = ocColorBlue
        .Styles(3).Line.Color = ocColorGreen
      End With
    End With

    Call DemoSeparator()
  %>

  <p align=center>
    <%
      Dim dispChart
      dispChart = Session("DispChart")
      If dispChart = "Jpeg" Then
        Call OlectraChart2D_GenerateTag_JPEG(Chart2D1, "Chart2D1")
      ElseIf dispChart = "Png" Then
        Call OlectraChart2D_GenerateTag_PNG(Chart2D1, "Chart2D1")
      ElseIf dispChart = "Png-BinaryWrite" Then
        Call OlectraChart2D_GenerateTag_PNG_BinaryWrite(Chart2D1, "Chart2D1")
      ElseIf dispChart = "Jpeg-BinaryWrite" Then
        Call OlectraChart2D_GenerateTag_JPEG_BinaryWrite(Chart2D1, "Chart2D1")
      Else
        Call OlectraChart2D_GenerateTag(Chart2D1, "Chart2D1")
      End If
    %>
  </p>

  <table border=0 align=center width=90% >
    <tr>
      <td>
        This example shows how to create a Radar Chart. In this example,
        the Radar Chart is used to rank products based upon different
        criteria. Select/deselect the &quot;Filled&quot; and &quot;Stacked&quot;
        check boxes to change the appearance of the displayed data.
      </td>
    </tr>
  </table>

  <%
    Call DemoSeparator()
    Call DemoCopyrightAndSource()

    Set Chart2D1=Nothing
  %>

  </body>
</html>
