<%@ Language=VBScript %>
<!---
'*****************************************************************************
'*
'* Copyright (c) ComponentOne, LLC.
'* http://www.componentone.com
'*
'* This file is provided for demonstration and educational uses only.
'* Permission to use, copy, modify and distribute this file for
'* any purpose and without fee is hereby granted, provided that the
'* above copyright notice and this permission notice appear in all
'* copies, and that the name of ComponentOne not be used in advertising
'* or publicity pertaining to this material without the specific,
'* prior written permission of an authorized representative of
'* ComponentOne.
'*
'* ComponentOne MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
'* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
'* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
'* PURPOSE, OR NON-INFRINGEMENT. ComponentOne SHALL NOT BE LIABLE FOR ANY
'* DAMAGES SUFFERED BY USERS AS A RESULT OF USING, MODIFYING OR
'* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
'*
'*****************************************************************************
-->
<!-- #INCLUDE VIRTUAL="/WebChart8/Include/VBS/color.inc" -->
<!-- #INCLUDE VIRTUAL="/WebChart8/Include/VBS/2dconst.inc" -->
<!-- #INCLUDE VIRTUAL="/WebChart8/Include/VBS/2dgentag.inc" -->
<!-- #INCLUDE VIRTUAL="/WebChart8/Include/VBS/utils.inc" -->

  <head>
    <title>ComponentOne WebChart 2D - AlarmZones Example</title>
  </head>

  <body link="#003399" vlink="#cc0000" bgcolor="#ffffff">

  <%
    'Set up the page headers and titles
      Call DemoPageHeader                     ' utils.inc
      Call DemoTitle2D("AlarmZones Example")  ' utils.inc

    '
    'Set up the chart object itself
    '

    Dim Chart2D1
    Set Chart2D1 = Server.CreateObject("C1Chart2D8.ASPComponent")

    Sub SortIntegerArray(iarray())
      'Sort an array of integers using a Shell Sort.
      Dim n, hold
      Dim ilow, ihi
      Dim inc, i, j
      ilow = LBound(iarray)
      ihi = UBound(iarray)
      
      'Determine the starting increment
      inc = 1
      Do
          inc = inc * 3 + 1
      Loop While inc <= ihi - ilow + 1
      
      'Loop over the partial sorts
      Do
        inc = inc \ 3
        For i = inc + ilow To ihi
          hold = iarray(i)
          j = i
          Do While (iarray(j - inc) > hold)
            iarray(j) = iarray(j - inc)
            j = j - inc
            If j <= inc Then Exit Do
          Loop
          iarray(j) = hold
        Next
      Loop While inc > 1
    End Sub

    Function GetStudentPointTotals()
      '
      ' Generates ficticious student scores for the demo,
      ' using the Rnd() random number generation function.
      '
      Const nStudents = 300
      Const nMaxPoints = 1600
    
      ReDim pts(nStudents)
    
      Dim i
      For i = 1 To nStudents
          pts(i) = CInt(nMaxPoints * (1 + Rnd()) / 2)
      Next
    
      GetStudentPointTotals = pts
    End Function

    Sub GetStatistics(PointTotals(), Mean, StdDev)
      '
      ' Calculates the Mean and Standard Deviation of an
      ' all inclusive group of integers.  These values
      ' are calculated in the same way as the chart
      ' data object calculates them.
      '
      Dim sum
      Dim n, i
      
      sum = 0
      n = UBound(PointTotals)
      For i = 1 To n
        sum = sum + PointTotals(i)
      Next
      Mean = sum / n
      
      Dim temp
      sum = 0
      For i = 1 To n
        temp = PointTotals(i) - Mean
        sum = sum + temp * temp
      Next
      StdDev = Sqr(sum / (n-1))
    End Sub

    Function GetBoundingIndex(scores(), frac)
      ' Assumes scores are sorted, then obtains the
      ' index of the first scores() element below
      ' the specified percentile fraction
      Dim i, n
      n = UBound(scores) - LBound(scores) + 1
      i = n * frac
      While i > LBound(scores) And scores(i) = scores(i + 1)
        i = i - 1
      Wend
      GetBoundingIndex = i
    End Function

    Sub Chart2D1_Load()
      '
      ' Sets up the chart for the demo.
      '
      
        Chart2D1.Width = 632
        Chart2D1.Height = 453
      
      Chart2D1.ChartGroups(1).Data.NumSeries = 0     'clear the chart
      
      'Load the student point results
      Dim StudentPointResults
      Dim nStudents
      
      StudentPointResults = GetStudentPointTotals()
      nStudents = UBound(StudentPointResults)
      
      'Get the statistics
      Dim mu, sigma
      Call GetStatistics(StudentPointResults, mu, sigma)
      
      'Plot the information
      Dim i
      With Chart2D1
        .IsBatched = True
        With .Header
          .Font.Name = "Tahoma"
          .Font.Size = 18
          .Font.Bold = True
          .Text.Text = "Student Scores And Grades"
        End With
        
        .Interior.BackgroundColor = RGB(128, 192, 150)
        
        'Set the chart scatter points.
        With .ChartGroups(1)
          With .Data
            ' set the layout to general, so each series
            ' has its own number of points
            .Layout = oc2dDataGeneral
        
            ' set the series and point counts
            .NumSeries = 6
            .NumPoints(1) = nStudents             ' scatter points
            .NumPoints(2) = 2                             ' - 2 StdDev
            .NumPoints(3) = 2                             ' - 1 StdDev
            .NumPoints(4) = 2                             '    mean
            .NumPoints(5) = 2                             ' + 1 StdDev
            .NumPoints(6) = 2                             ' + 2 StdDev
        
            'add the scatter plot data
            For i=1 to nStudents
              .Y(1, i) = StudentPointResults(i)
            Next
          End With
        
          With .Styles(1)
            .Line.Pattern = oc2dLineNone
            .Symbol.Shape = oc2dShapeStar
            .Symbol.Color = 192         'dark red
          End With
        
        End With
        .IsBatched = False                    ' force updates
        
        'Set the remaining plots
        .IsBatched = True
        Dim xvals(2), yvals(2)
        With Chart2D1.ChartArea.Axes("X")
          xvals(1) = .Min
          xvals(2) = .Max
        End With
        
        ' Add the statistical data and their styles.
        With .ChartGroups(1)
          With .Data
            'add the deviations marks
            Dim s
            s = 2
            For i = -2 To 2
              yvals(1) = mu + i * sigma
              yvals(2) = yvals(1)
        
              dim j
              For j=1 to ubound(xvals)
                .X(s, j) = xvals(j)
              Next
              For j=1 to ubound(yvals)
                .Y(s, j) = yvals(j)
              Next
                    s = s + 1
            Next
          End With
        
          For i = 2 To 6
            With .Styles(i)
              .Line.Width = 2
              .Line.Color = 0
              If (i = 4) Then
                .Line.Pattern = 2
              Else
                .Line.Pattern = i + 1
              End If
              .Symbol.Shape = oc2dShapeNone
            End With
          Next
        
          ' Add the series labels for the Legend.
          Call .SeriesLabels.Add("a raw score")
          Call .SeriesLabels.Add(Chr(181) + " - 2 s")
          Call .SeriesLabels.Add(Chr(181) + " - s")
          Call .SeriesLabels.Add(Chr(181) + " (mean)")
          Call .SeriesLabels.Add(Chr(181) + " + s")
          Call .SeriesLabels.Add(Chr(181) + " + 2 s")
        End With
        
        ' Set the Legend properties
        With .Legend
          .IsReversed = True
          .Font.Name = "Tahoma"
          .Font.Size = 10
          .Border = oc2dBorderNone
        End With
        
        .IsBatched = False
      
      End With
      
      'Sort the results, ascending
      Call SortIntegerArray(StudentPointResults)
      
      'Get the bounds of each letter grade
      Dim bound(4)
      
      ' At most 95% of the students will not get an A
      bound(4) = GetBoundingIndex(StudentPointResults, 0.95)
      
      ' At most 75% of the students will not get a B or higher
      bound(3) = GetBoundingIndex(StudentPointResults, 0.75)
      
      ' At most 25% of the students will not get a C or higher
      bound(2) = GetBoundingIndex(StudentPointResults, 0.25)
      
      ' At most 5% of the students will not get a D or higher
      bound(1) = GetBoundingIndex(StudentPointResults, 0.05)
      
      With Chart2D1
        With .ChartArea
          Dim yMin, yMax
          
          ' Get the necessary Axis information and
          ' make the appropriate settings
          With .Axes("Y")
            yMin = .Min
            yMax = .Max
            .Title.Text = "Student Accumulated Points"
            .Font.Name = "Tahoma"
            .Font.Bold = True
            .Font.Size = 10
            .TitleRotation = oc2dRotate90Degrees
          End With
          
          With .Axes("X")
            .Title.Text = "Student Number"
            .TitleRotation = oc2dRotateNone
          End With
          
          .PlotArea.IsBoxed = True
          
          '
          '  Here we create the alarm zones and set the zone properties
          '
          Dim colors(5)
          colors(1) = RGB(255, 192, 192)        ' darker red for failure
          colors(2) = RGB(255, 228, 228)        ' light red for danger
          colors(3) = RGB(255, 228, 128)        ' yellow for neutral
          colors(4) = RGB(128, 255, 128)        ' green for good
          colors(5) = RGB(128, 128, 225)        ' blue for excellence
          
          With .AlarmZones
            For i = 1 To 5
              With .Add(CStr(i))
                .BackgroundColor = colors(i)
                If i = 1 Then
                  .LowerExtent = yMin
                Else
                  .LowerExtent = StudentPointResults(bound(i - 1))
                End If
                If i = 5 Then
                  .UpperExtent = yMax
                Else
                  .UpperExtent = StudentPointResults(bound(i))
                End If
              End With
            Next
          End With
        End With
        
        Dim gradeLeft, gradeTop
        gradeLeft = .Legend.Location.Left + .Legend.Location.Width \ 3
        gradeTop = .ChartArea.Location.Top + 30
        
        For i = 1 To 5
          With .ChartLabels.Add
            .AttachMethod = oc2dAttachCoord
            With .AttachCoord
              .X = gradeLeft
              .Y = gradeTop
              gradeTop = gradeTop + 30
            End With
            If i = 5 Then
              .Text.Text = "F"
            Else
              .Text.Text = Chr(Asc("A") - 1 + i)
            End If
            .Font.Bold = True
            .Font.Size = 18
            .Interior.ForegroundColor = colors(6 - i)
          End With
        Next
        
        .Legend.Location.Top = gradeTop
      
      End With

    End Sub

    Call Chart2D1_Load()

  %>

  <p align="center">
    <%
      Dim dispChart
      dispChart = Session("DispChart")
      If dispChart = "Jpeg" Then
        Call OlectraChart2D_GenerateTag_JPEG(Chart2D1, "Chart2D1")
      ElseIf dispChart = "Png" Then
        Call OlectraChart2D_GenerateTag_PNG(Chart2D1, "Chart2D1")
      ElseIf dispChart = "Png-BinaryWrite" Then
        Call OlectraChart2D_GenerateTag_PNG_BinaryWrite(Chart2D1, "Chart2D1")
      ElseIf dispChart = "Jpeg-BinaryWrite" Then
        Call OlectraChart2D_GenerateTag_JPEG_BinaryWrite(Chart2D1, "Chart2D1")
      Else
        Call OlectraChart2D_GenerateTag(Chart2D1, "Chart2D1")
      End If
    %>
  </p>
  <p align="center">
    <%
      Dim CData
      Set CData = Chart2D1.ChartGroups(1).Data

      Sub EmitVal(val)
         Response.Write(CStr(val))
      End Sub

      Sub EmitDbl(val)
         Response.Write(FormatNumber(val,2))
      End Sub
    %>

    <!-- Build a table for the chart calculate statistics.  Make it the same -->
    <!-- width as the chart itself                                           -->
    <table align="center" width=<%EmitVal(Chart2D1.Width)%> border="1" frame="hsides" rules="rows" bordercolorlight="white">
    <colgroup><col align=right span=2><col width="25%"><col align=right span=2></colgroup>
      <tr><td>Maximum Grade:     </td><td><%EmitVal(CData.DataMax(1))%>           </td><td></td>
          <td>Minimum Grade:     </td><td><%EmitVal(CData.DataMin(1))%>           </td></tr>
      <tr><td>Number of Students:</td><td><%EmitVal(CData.DataCount(1))%>         </td><td></td>
          <td>Mean Grade:        </td><td><%EmitDbl(CData.Mean(1))%>              </td></tr>
      <tr><td>Median Grade:      </td><td><%EmitDbl(CData.Median(1))%>            </td><td></td>
          <td>Average Deviation: </td><td><%EmitDbl(CData.AverageDeviation(1))%>  </td></tr>
      <tr><td>Standard Deviation:</td><td><%EmitDbl(CData.StandardDeviation(1))%> </td><td></td>
          <td>Variance:          </td><td><%EmitDbl(CData.StandardDeviation(1)*CData.StandardDeviation(1))%> </td></tr>
    </table>
  </p>

  <p align="center">
    <%
      Call DemoSeparator()                              ' utils.inc
      Call DemoCopyrightAndSource()                     ' utils.inc
      Set CData=Nothing
      Set Chart2D1=Nothing
    %>
  </p>

  </body>
</html>
