<%@ LANGUAGE="VBSCRIPT" %>
<!---
'*****************************************************************************
'*
'* Copyright (c) ComponentOne, LLC.
'* Portions Copyright (c) 1999, KL GROUP INC.
'* http://www.componentone.com
'*
'* This file is provided for demonstration and educational uses only.
'* Permission to use, copy, modify and distribute this file for
'* any purpose and without fee is hereby granted, provided that the
'* above copyright notice and this permission notice appear in all
'* copies, and that the name of ComponentOne not be used in advertising
'* or publicity pertaining to this material without the specific,
'* prior written permission of an authorized representative of
'* ComponentOne.
'*
'* ComponentOne MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
'* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
'* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
'* PURPOSE, OR NON-INFRINGEMENT. ComponentOne SHALL NOT BE LIABLE FOR ANY
'* DAMAGES SUFFERED BY USERS AS A RESULT OF USING, MODIFYING OR
'* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
'*
'*****************************************************************************
-->
<!-- #INCLUDE VIRTUAL="/WebChart8/Include/VBS/color.inc" -->
<!-- #INCLUDE VIRTUAL="/WebChart8/Include/VBS/2dconst.inc" -->

<%
  Sub Chart2D_Load()
    With Chart2D
      .Width = 400
      .Height = 300
      .IsBatched = True

       If ChartType="BAR" Then
         .ChartGroups(1).ChartType = oc2dTypeBar
       ElseIf ChartType="SBAR" Then
         .ChartGroups(1).ChartType = oc2dTypeStackingBar
       Else
         Call SetupPlotChart()
       End If

       If FColor="BLUE" Then
        .Interior.ForegroundColor = ocColorBlue
       ElseIf FColor="DARKGREEN" Then
        .Interior.ForegroundColor = ocColorDarkGreen
       ElseIf FColor="RED" Then
        .Interior.ForegroundColor = ocColorRed
       End If

       If BColor="LIGHTBLUE" Then
        .Interior.BackgroundColor = ocColorLightBlue
       ElseIf BColor="LIGHTSEAGREEN" Then
        .Interior.BackgroundColor = ocColorLightSeaGreen
       ElseIf BColor="MISTYROSE" Then
        .Interior.BackgroundColor = ocColorMistyRose
       End If

      .IsBatched = False
    End With
  End Sub 

  Sub SetupPlotChart()
    With Chart2D
      With .ChartGroups(1)
        With .Data
          .Layout = oc2dDataArray
          .NumSeries = 3
          .NumPoints(1) = 101
          .NumPoints(2) = 101
          .NumPoints(3) = 101
          For i=1 to 101
            X = (i - 51) / 20
            E = Exp( -X*X)
            .X(1, i) = X
            .Y(1, i) = Sin(i) * E
            .Y(2, i) = E
            .Y(3, i) = -E
          Next
        End With
        With .Styles(1)
          .Symbol.Shape = oc2dShapeNone
          .Line.Color = ocColorGray
        End With
        With .Styles(2)
          .Symbol.Shape = oc2dShapeDot
          .Symbol.Size = 2
          .Line.Pattern = oc2dLineNone
          .Symbol.Color = ocColorRed
        End With
        With .Styles(3)
          .Symbol.Shape = oc2dShapeDot
          .Symbol.Color = ocColorBlue
          .Symbol.Size = 2
          .Line.Pattern = oc2dLineNone
        End With

      End With
    End With
  End Sub

  Dim Chart2D, ImageBytes, Grayscale, Quality, ChartType, FColor, BColor

  Set Chart2D = Server.CreateObject("C1Chart2D8.ASPComponent")
  If Request.QueryString("Grayscale")="T" Then
    Grayscale = True
  Else
    Grayscale = False   
  End If

  Quality = Request.QueryString("Quality")
  If IsEmpty(Quality) or Quality>100 or Quality<0 Then
    Quality = 85
  End If

  FColor = Request.QueryString("FColor")
  BColor = Request.QueryString("BColor")
  ChartType = Request.QueryString("ChartType")



  Call Chart2D_Load()

  ImageBytes = Chart2D.SaveImageAsJpegBytes( Quality,Grayscale,False,False)

  If not IsEmpty( ImageBytes) Then
    Response.Expires = 0
    Response.Buffer = True
    Response.Clear

    Response.BinaryWrite( ImageBytes)
    Response.End
  End if
%>
