<%@ LANGUAGE="JavaScript" %>
<!---
//*****************************************************************************
//*
//* Copyright (c) ComponentOne, LLC.
//* Portions Copyright (c) 1999, KL GROUP INC.
//* http://www.componentone.com
//*
//* This file is provided for demonstration and educational uses only.
//* Permission to use, copy, modify and distribute this file for
//* any purpose and without fee is hereby granted, provided that the
//* above copyright notice and this permission notice appear in all
//* copies, and that the name of ComponentOne not be used in advertising
//* or publicity pertaining to this material without the specific,
//* prior written permission of an authorized representative of
//* ComponentOne.
//*
//* ComponentOne MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
//* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
//* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
//* PURPOSE, OR NON-INFRINGEMENT. ComponentOne SHALL NOT BE LIABLE FOR ANY
//* DAMAGES SUFFERED BY USERS AS A RESULT OF USING, MODIFYING OR
//* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
//*
//*****************************************************************************
-->
<!-- #INCLUDE VIRTUAL="/WebChart8/Include/Javas/color.inc" -->
<!-- #INCLUDE VIRTUAL="/WebChart8/Include/Javas/3dconst.inc" -->

<%
  function Chart3D_Load()
  {
    with (Chart3D)
    {
      Width = 400;
      Height = 300;
      IsBatched = true;

      if (ChartType=="BAR")
        ChartGroups(1).ChartType = oc3dTypeBar;
      else if( ChartType=="SCAT")
        ChartGroups(1).ChartType = oc3dTypeScatter;

      if (FColor=="BLUE")
        Interior.ForegroundColor = ocColorBlue;
      else if (FColor=="DARKGREEN")
        Interior.ForegroundColor = ocColorDarkGreen;
      else if (FColor=="RED")
        Interior.ForegroundColor = ocColorRed;

      if (BColor=="LIGHTBLUE")
        Interior.BackgroundColor = ocColorLightBlue;
      else if( BColor=="LIGHTSEAGREEN")
        Interior.BackgroundColor = ocColorLightSeaGreen;
      else if( BColor=="MISTYROSE")
        Interior.BackgroundColor = ocColorMistyRose;

      with (ChartGroups(1))
      {
	Styles(1).Symbol.Size = 2;
        with (Contour)
        {
          Levels.NumLevels = 20;
          IsZoned = true;
        }
        Elevation.IsShaded = true;
      }

      InitData();

      Legend.IsShowing = false;
      IsBatched = false;
    }
  } 

  function InitData()
  {
    NY = 20;
    NX = 20;
    with (Chart3D.ChartGroups(1))
    {
      with (ElevationData)
      {
        ColumnCount = NX;
        RowCount = NY;
        for(i = 1; i<=NX; i++)
        {
          x = i * 0.2;
          for( j = 1; j<= NY; j++)
          {
            y = j * 0.5;
            Value(i, j) = Math.sin(x)*Math.cos(y);
          } 
        } 
      }
    }
  }

  var Chart3D, ImageBytes, Grayscale, Quality, ChartType, FColor, BColor;

  Chart3D = Server.CreateObject("C1Chart3D8.ASPComponent");
  Grayscale =  Request.QueryString("Grayscale")=="T";
  Quality = Request.QueryString("Quality");
  if( Quality==null || Quality>100 || Quality<0)
    Quality = 85;

  FColor = Request.QueryString("FColor");
  BColor = Request.QueryString("BColor");
  ChartType = Request.QueryString("ChartType");

  Chart3D_Load();

  ImageBytes = Chart3D.SaveImageAsJpegBytes( Quality,Grayscale,false,false);

  if ( ImageBytes!=null)
  {
    Response.Expires = 0;
    Response.Buffer = true
    Response.Clear;

    Response.BinaryWrite( ImageBytes);
    Response.End;
  }
%>
