<%@ Language=JavaScript %>
<!---
//*****************************************************************************
//*
//* Copyright (c) ComponentOne, LLC.
//* Portions Copyright (c) 1999, KL GROUP INC.
//* http://www.componentone.com
//*
//* This file is provided for demonstration and educational uses only.
//* Permission to use, copy, modify and distribute this file for
//* any purpose and without fee is hereby granted, provided that the
//* above copyright notice and this permission notice appear in all
//* copies, and that the name of ComponentOne not be used in advertising
//* or publicity pertaining to this material without the specific,
//* prior written permission of an authorized representative of
//* ComponentOne.
//*
//* ComponentOne MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
//* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
//* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
//* PURPOSE, OR NON-INFRINGEMENT. ComponentOne SHALL NOT BE LIABLE FOR ANY
//* DAMAGES SUFFERED BY USERS AS A RESULT OF USING, MODIFYING OR
//* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
//*
//*****************************************************************************
-->
<!-- #INCLUDE VIRTUAL="/WebChart8/Include/JavaS/color.inc" -->
<!-- #INCLUDE VIRTUAL="/WebChart8/Include/JavaS/3dconst.inc" -->
<!-- #INCLUDE VIRTUAL="/WebChart8/Include/JavaS/3dgentag.inc" -->
<!-- #INCLUDE VIRTUAL="/WebChart8/Include/JavaS/utils.inc" -->

<html>

  <head>
    <title>ComponentOne WebChart 3D - Scatter Chart Example</title>
  </head>

  <body link="#003399" vlink="#cc0000" bgcolor="#ffffff">

  <%
    var Chart3D1;

    DemoPageHeader();                      // utils.inc
    DemoTitle3D("Scatter Chart Example");  // utils.inc

    function gen_select_entry(selector, value, label)
    {
      Response.Write("<OPTION value=\"" + value + "\"");
      if(Request.Form(selector) == value)
        Response.Write("selected");
      Response.Write("> " + label + "\n");
    }

    var CurrentDropLines;
    CurrentDropLines = (Request.Form("DropLines") == "ON");

    var CurrentXGridLines;
    CurrentXGridLines = (Request.Form("XGridLines") == "ON");

    var CurrentYGridLines;
    CurrentYGridLines = (Request.Form("YGridLines") == "ON");

    var CurrentZGridLines;
    CurrentZGridLines = (Request.Form("ZGridLines") == "ON");

    var CurrentZOrigin;
    if(Request.Form("ZOrigin").Count == 0)
      CurrentZOrigin = -2;
    else
      CurrentZOrigin = Request.form("ZOrigin")(1);
  %>

  <form action="Scatter.asp" method="post" id="form1" name="form1">
    <table border=0 align=center width=90% >
      <tr align=center>
        <td>
          <input id="DropLines" name="DropLines" type="checkbox"
            <% DemoCheckWriter(CurrentDropLines) %> value="ON">
          Show Drop Lines? &nbsp;&nbsp;&nbsp;&nbsp;

          Grid Lines:&nbsp;
          <input id="XGridLines" name="XGridLines" type="checkbox"
            <% DemoCheckWriter(CurrentXGridLines) %> value="ON">
          X-Axis &nbsp;&nbsp;

          <input id="YGridLines" name="YGridLines" type="checkbox"
            <% DemoCheckWriter(CurrentYGridLines) %> value="ON">
          Y-Axis &nbsp;&nbsp;

          <input id="ZGridLines" name="ZGridLines" type="checkbox"
            <% DemoCheckWriter(CurrentZGridLines) %> value="ON">
          Z-Axis
          <br><br>
        </td>
      </tr>
      <tr align=center>
        <td>
          2D/3D View:
          <%
            Response.Write("<select name=\"View\" size=1>\n");
            gen_select_entry( "View", "3D", "3D");
            gen_select_entry( "View", "2D", "2D");
            Response.Write("</select>\n");
          %> &nbsp;&nbsp;&nbsp;&nbsp;
          Z-Origin: <input id="ZOrigin" name="ZOrigin" value="<%= CurrentZOrigin %>" size="4">
        </td>
      </tr>
      <tr align=center>
        <td>
          <br><br>
          Please click <input type="submit" name="B1" value="Submit"> to see the changes
          reflected in the chart below:
        </td>
      </tr>
    </table>
  </form>

  <%
    Chart3D1 = Server.CreateObject( "C1Chart3D8.ASPComponent" );

    with(Chart3D1)
    {
      Width = 600;
      Height = 400;

      //Change some colors
      Interior.BackgroundColor = ocColorWhite;
      ChartArea.PlotCube.Interior.BackgroundColor = ocColorAliceBlue;

      //Some basic Chart setup
      ChartGroups(1).ChartType = oc3dTypeScatter;

      IsBatched = true;

      ChartGroups(1).ElevationData.Load(Server.MapPath("scatter.dat"));

      //Setup the Header
      with(Header)
      {
        DemoInitFont(Font,12,true);
        Font.Italic = true;

        Border = oc3dBorderShadow;
        Border.Width = 3;
        Interior.BackgroundColor = ocColorCadetBlue;
        Interior.ForegroundColor = ocColorLemonChiffon;
      }

      //Make some changes to the Grid Styles
      with(ChartArea)
      {
        with(Axes("X"))
        {
          MajorGrid.Style.Color = ocColorMediumBlue;
          Title = "Bats";
          MajorGrid.IsOnXYPlane = CurrentXGridLines;
          MajorGrid.IsOnXZPlane = CurrentXGridLines;
        }

        with(Axes("Y"))
        {
          MajorGrid.Style.Color = ocColorRed;
          Title = "Bees";
          MajorGrid.IsOnXYPlane = CurrentYGridLines;
          MajorGrid.IsOnYZPlane = CurrentYGridLines;
        }

        with(Axes("Z"))
        {
          MajorGrid.Style.Color = ocColorOrange;
          Title = "Birds";
          Origin = CurrentZOrigin;
          MajorGrid.IsOnXZPlane = CurrentZGridLines;
          MajorGrid.IsOnYZPlane = CurrentZGridLines;
        }
      }

      //Add a Legend
      with(Legend)
      {
        with(Labels)
        {
          Add("Bats");
          Add("Bees");
          Add("Birds");
        }

        Border = oc3dBorderPlain;
        Border.Width = 2;
        Anchor = oc3dAnchorNorthWest;
        
        DemoInitFont(Font,10,true);
      }

      with(ChartGroups(1))
      {
        Elevation.HasDropLines = CurrentDropLines;
 
        //Toggle between the 2D and 3D View.
        if(Request.Form("View") == "2D")
        {
          Contour.IsZoned = true;
          Elevation.IsMeshed = false;
          Chart3D1.Header.Text.Text = "2D Scatter Chart";
        }
        else
        {
          Contour.IsZoned = false;
          Elevation.IsMeshed = true;
          Chart3D1.Header.Text.Text = "3D Scatter Chart";
        }
      }
      IsBatched = false;
    }

    DemoSeparator();
  %>

  <p align=center>
    <%
      var dispChart = Session("DispChart");
      if(dispChart == "Jpeg")
        OlectraChart3D_GenerateTag_JPEG(Chart3D1, "Chart3D1");
      else if(dispChart == "Png")
        OlectraChart3D_GenerateTag_PNG(Chart3D1, "Chart3D1");
      else if(dispChart == "Png-BinaryWrite")
        OlectraChart3D_GenerateTag_PNG_BinaryWrite(Chart3D1, "Chart3D1");
      else if(dispChart == "Jpeg-BinaryWrite")
        OlectraChart3D_GenerateTag_JPEG_BinaryWrite(Chart3D1, "Chart3D1");
      else
        OlectraChart3D_GenerateTag(Chart3D1, "Chart3D1");
    %>
  </p>

  <table border=0 align=center width=90% >
    <tr align=center>
      <td>
        This demo shows how to create and customize a 3D scatter chart.
      </td>
    </tr>
  </table>

  <%
    DemoSeparator();
    DemoCopyrightAndSource();

    Chart3D1 = 0;
  %>
  </body>
</html>
