<%@ LANGUAGE="VBSCRIPT" %>
<!---
'*****************************************************************************
'*
'* Copyright (c) ComponentOne, LLC.
'* Portions Copyright (c) 1999, KL GROUP INC.
'* http://www.componentone.com
'*
'* This file is provided for demonstration and educational uses only.
'* Permission to use, copy, modify and distribute this file for
'* any purpose and without fee is hereby granted, provided that the
'* above copyright notice and this permission notice appear in all
'* copies, and that the name of ComponentOne not be used in advertising
'* or publicity pertaining to this material without the specific,
'* prior written permission of an authorized representative of
'* ComponentOne.
'*
'* ComponentOne MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
'* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
'* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
'* PURPOSE, OR NON-INFRINGEMENT. ComponentOne SHALL NOT BE LIABLE FOR ANY
'* DAMAGES SUFFERED BY USERS AS A RESULT OF USING, MODIFYING OR
'* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
'*
'*****************************************************************************
-->
<!-- #INCLUDE VIRTUAL="/WebChart8/Include/VBS/color.inc" -->
<!-- #INCLUDE VIRTUAL="/WebChart8/Include/VBS/3dconst.inc" -->

<%
  Sub Chart3D_Load()
    With Chart3D
      .Width = 400
      .Height = 300
      .IsBatched = True

       If ChartType="BAR" Then
         .ChartGroups(1).ChartType = oc3dTypeBar
       ElseIf ChartType="SCAT" Then
         .ChartGroups(1).ChartType = oc3dTypeScatter
       End If

       If FColor="BLUE" Then
        .Interior.ForegroundColor = ocColorBlue
       ElseIf FColor="DARKGREEN" Then
        .Interior.ForegroundColor = ocColorDarkGreen
       ElseIf FColor="RED" Then
        .Interior.ForegroundColor = ocColorRed
       End If

       If BColor="LIGHTBLUE" Then
        .Interior.BackgroundColor = ocColorLightBlue
       ElseIf BColor="LIGHTSEAGREEN" Then
        .Interior.BackgroundColor = ocColorLightSeaGreen
       ElseIf BColor="MISTYROSE" Then
        .Interior.BackgroundColor = ocColorMistyRose
       End If

       With .ChartGroups(1)
	 .Styles(1).Symbol.Size = 2
         With .Contour
           .Levels.NumLevels = 20
           .IsZoned = True
         End With
         .Elevation.IsShaded = True
       End With

      Call InitData()

      .Legend.IsShowing = False
      .IsBatched = False
    End With
  End Sub 

  Sub InitData()
    NY = 20
    NX = 20
    With Chart3D.ChartGroups(1)
      With .ElevationData
        .ColumnCount = NX
        .RowCount = NY
        For i = 1 To NX
          x = i / 5
          For j = 1 To NY
            y = j / 2
            .Value(i, j) = sin(x)*cos(y)
          Next 
        Next 
      End With
    End With
  End Sub

  Dim Chart3D, ImageBytes, Grayscale, Quality, ChartType, FColor, BColor

  Set Chart3D = Server.CreateObject("C1Chart3D8.ASPComponent")
  If Request.QueryString("Grayscale")="T" Then
    Grayscale = True
  Else
    Grayscale = False   
  End If

  Quality = Request.QueryString("Quality")
  If IsEmpty(Quality) or Quality>100 or Quality<0 Then
    Quality = 85
  End If

  FColor = Request.QueryString("FColor")
  BColor = Request.QueryString("BColor")
  ChartType = Request.QueryString("ChartType")

  Call Chart3D_Load()

  ImageBytes = Chart3D.SaveImageAsJpegBytes( Quality,Grayscale,False,False)

  If not IsEmpty( ImageBytes) Then
    Response.Expires = 0
    Response.Buffer = True
    Response.Clear

    Response.BinaryWrite( ImageBytes)
    Response.End
  End if
%>
