<%@ Language=VBScript %>
<!---
'*****************************************************************************
'*
'* Copyright (c) ComponentOne, LLC.
'* Portions Copyright (c) 1999, KL GROUP INC.
'* http://www.componentone.com
'*
'* This file is provided for demonstration and educational uses only.
'* Permission to use, copy, modify and distribute this file for
'* any purpose and without fee is hereby granted, provided that the
'* above copyright notice and this permission notice appear in all
'* copies, and that the name of ComponentOne not be used in advertising
'* or publicity pertaining to this material without the specific,
'* prior written permission of an authorized representative of
'* ComponentOne.
'*
'* ComponentOne MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
'* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
'* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
'* PURPOSE, OR NON-INFRINGEMENT. ComponentOne SHALL NOT BE LIABLE FOR ANY
'* DAMAGES SUFFERED BY USERS AS A RESULT OF USING, MODIFYING OR
'* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
'*
'*****************************************************************************
-->
<!-- #INCLUDE VIRTUAL="/WebChart8/Include/VBS/color.inc" -->
<!-- #INCLUDE VIRTUAL="/WebChart8/Include/VBS/3dconst.inc" -->
<!-- #INCLUDE VIRTUAL="/WebChart8/Include/VBS/3dgentag.inc" -->
<!-- #INCLUDE VIRTUAL="/WebChart8/Include/VBS/utils.inc" -->

<html>

  <head>
    <title>ComponentOne WebChart 3D - Scatter Chart Example</title>
  </head>

  <body link="#003399" vlink="#cc0000" bgcolor="#ffffff">

  <%
    Dim Chart3D1

    Call DemoPageHeader                         ' utils.inc
    Call DemoTitle3D("Scatter Chart Example")   ' utils.inc

    Sub gen_select_entry(selector, value, label)
      Response.Write("<OPTION value=""" & value & """")
      If Request.Form(selector) = value Then 
        Response.Write("selected")
      End If
      Response.Write("> " & label & Chr(10))
    End Sub

    Dim CurrentDropLines
    CurrentDropLines = (Request.Form("DropLines") = "ON")

    Dim CurrentXGridLines
    CurrentXGridLines = (Request.Form("XGridLines") = "ON")

    Dim CurrentYGridLines
    CurrentYGridLines = (Request.Form("YGridLines") = "ON")

    Dim CurrentZGridLines
    CurrentZGridLines = (Request.Form("ZGridLines") = "ON")

    Dim CurrentZOrigin
    If Request.Form("ZOrigin").Count = 0 Then
      CurrentZOrigin = -2
    Else
      CurrentZOrigin = Request.form("ZOrigin")(1)
    End If
  %>

  <form action="Scatter.asp" method="post" id="form1" name="form1">
    <table border=0 align=center width=90% >
      <tr align=center>
        <td>
          <input id="DropLines" name="DropLines" type="checkbox"
            <% DemoCheckWriter(CurrentDropLines) %> value="ON">
          Show Drop Lines? &nbsp;&nbsp;&nbsp;&nbsp;

          Grid Lines:&nbsp;
          <input id="XGridLines" name="XGridLines" type="checkbox"
            <% DemoCheckWriter(CurrentXGridLines) %> value="ON">
          X-Axis &nbsp;&nbsp;

          <input id="YGridLines" name="YGridLines" type="checkbox"
            <% DemoCheckWriter(CurrentYGridLines) %> value="ON">
          Y-Axis &nbsp;&nbsp;

          <input id="ZGridLines" name="ZGridLines" type="checkbox"
            <% DemoCheckWriter(CurrentZGridLines) %> value="ON">
          Z-Axis
          <br><br>
        </td>
      </tr>
      <tr align=center>
        <td>
          2D/3D View:
          <%
            Response.Write("<select name=""View"" size=1>" & Chr(10))
            Call gen_select_entry( "View", "3D", "3D")
            Call gen_select_entry( "View", "2D", "2D")
            Response.Write("</select>" & Chr(10))
          %> &nbsp;&nbsp;&nbsp;&nbsp;
          Z-Origin: <input id="ZOrigin" name="ZOrigin" value="<%= CurrentZOrigin %>" size="4">
        </td>
      </tr>
      <tr align=center>
        <td>
          <br><br>
          Please click <input type="submit" name="B1" value="Submit"> to see the changes
          reflected in the chart below:
        </td>
      </tr>
    </table>
  </form>

  <%
    Set Chart3D1 = Server.CreateObject( "C1Chart3D8.ASPComponent" )

    With Chart3D1
      .Width = 600
      .Height = 400

      'Change some colors
      .Interior.BackgroundColor = ocColorWhite
      .ChartArea.PlotCube.Interior.BackgroundColor = ocColorAliceBlue

      'Some basic Chart setup
      .ChartGroups(1).ChartType = oc3dTypeScatter

      .IsBatched = True

      Call .ChartGroups(1).ElevationData.Load(Server.MapPath("scatter.dat"))

      'Setup the Header
      With .Header
        Call DemoInitFont(.Font,12,True)
        .Font.Italic = True

        .Border = oc3dBorderShadow
        .Border.Width = 3
        .Interior.BackgroundColor = ocColorCadetBlue
        .Interior.ForegroundColor = ocColorLemonChiffon
      End With

      'Make some changes to the Grid Styles
      With .ChartArea
        With .Axes("X")
          .MajorGrid.Style.Color = ocColorMediumBlue
          .Title = "Bats"
          .MajorGrid.IsOnXYPlane = CurrentXGridLines
          .MajorGrid.IsOnXZPlane = CurrentXGridLines
        End With

        With .Axes("Y")
          .MajorGrid.Style.Color = ocColorRed
          .Title = "Bees"
          .MajorGrid.IsOnXYPlane = CurrentYGridLines
          .MajorGrid.IsOnYZPlane = CurrentYGridLines
        End With

        With .Axes("Z")
          .MajorGrid.Style.Color = ocColorOrange
          .Title = "Birds"
          .Origin = CurrentZOrigin
          .MajorGrid.IsOnXZPlane = CurrentZGridLines
          .MajorGrid.IsOnYZPlane = CurrentZGridLines
        End With
      End With

      'Add a Legend
      With .Legend
        With .Labels
          Call .Add("Bats")
          Call .Add("Bees")
          Call .Add("Birds")
        End With

        .Border = oc3dBorderPlain
        .Border.Width = 2
        .Anchor = oc3dAnchorNorthWest
        
        Call DemoInitFont(.Font,10,True)
      End With

      With .ChartGroups(1)
        .Elevation.HasDropLines = CurrentDropLines
 
        'Toggle between the 2D and 3D View.
        If Request.Form("View") = "2D" Then
          .Contour.IsZoned = True
          .Elevation.IsMeshed = False
          Chart3D1.Header.Text.Text = "2D Scatter Chart"
        Else
          .Contour.IsZoned = False
          .Elevation.IsMeshed = True
          Chart3D1.Header.Text.Text = "3D Scatter Chart"
        End If

      End With
      .IsBatched = False
    End With

    Call DemoSeparator()
  %>

  <p align=center>
    <%
      Dim dispChart
      dispChart = Session("DispChart")
      If dispChart = "Jpeg" Then
        Call OlectraChart3D_GenerateTag_JPEG(Chart3D1, "Chart3D1")
      ElseIf dispChart = "Png" Then
        Call OlectraChart3D_GenerateTag_PNG(Chart3D1, "Chart3D1")
      ElseIf dispChart = "Png-BinaryWrite" Then
        Call OlectraChart3D_GenerateTag_PNG_BinaryWrite(Chart3D1, "Chart3D1")
      ElseIf dispChart = "Jpeg-BinaryWrite" Then
        Call OlectraChart3D_GenerateTag_JPEG_BinaryWrite(Chart3D1, "Chart3D1")
      Else
        Call OlectraChart3D_GenerateTag(Chart3D1, "Chart3D1")
      End If
    %>
  </p>

  <table border=0 align=center width=90% >
    <tr align=center>
      <td>
        This demo shows how to create and customize a 3D scatter chart.
      </td>
    </tr>
  </table>

  <%
    Call DemoSeparator()
    Call DemoCopyrightAndSource()

    Set Chart3D1 = Nothing
  %>
  </body>
</html>
