<%
//*****************************************************************************
//*
//* Copyright (c) ComponentOne LLC.
//* Portions Copyright (c) 1999, KL GROUP INC.
//* http://www.componentone.com
//*
//* This file is provided for demonstration and educational uses only.
//* Permission to use, copy, modify and distribute this file for
//* any purpose and without fee is hereby granted, provided that the
//* above copyright notice and this permission notice appear in all
//* copies, and that the name of ComponentOne not be used in advertising
//* or publicity pertaining to this material without the specific,
//* prior written permission of an authorized representative of
//* ComponentOne.
//*
//* COMPONENTONE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
//* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
//* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
//* PURPOSE, OR NON-INFRINGEMENT. COMPONENTONE SHALL NOT BE LIABLE FOR ANY
//* DAMAGES SUFFERED BY USERS AS A RESULT OF USING, MODIFYING OR
//* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
//*
//*****************************************************************************


//---- AdjustConstants Values ----         Specifies the alignment of multiple lines of text.
var oc2dAdjustLeft = 1;                 // Aligned to left edge.
var oc2dAdjustRight = 2;                // Aligned to right edge.
var oc2dAdjustCenter = 3;               // Centered.

//---- OrientationConstants Values ----    Specifies the orientation.
var oc2dOrientVertical = 1;             // Vertical orientation.
var oc2dOrientHorizontal = 2;           // Horizontal orientation.

//---- AnchorConstants Values ----         Specifies the position of the object relative to the anchor position.
var oc2dAnchorNorth = 16;               // Above anchor position.
var oc2dAnchorSouth = 32;               // Below anchor position.
var oc2dAnchorEast = 1;                 // To right of anchor position.
var oc2dAnchorWest = 2;                 // To left of anchor position.
var oc2dAnchorNorthEast = 17;           // Above and to right of anchor position.
var oc2dAnchorNorthWest = 18;           // Above and to left of anchor position.
var oc2dAnchorSouthEast = 33;           // Below and to right of position.
var oc2dAnchorSouthWest = 34;           // Below and to left of position.
var oc2dAnchorCenter = 0;               // Center over anchor position (ChartLabel object only).
var oc2dAnchorAuto = 256;               // Automatically position the object (ChartLabel object only).

//---- AnnotationMethodConstants Values ----  Specifies the annotation method.
var oc2dAnnotateValues = 0;             // Annotate using chart's X- or Y-values.
var oc2dAnnotatePointLabels = 1;        // Annotate using Point-labels (X-axis only).
var oc2dAnnotateValueLabels = 2;        // Annotate using ValueLabels property.
var oc2dAnnotateTimeLabels = 3;         // Annotate using Time-labels (X-axis only).

//---- AnnotationPlacementConstants Values ----  Specifies the placement of the axis annotation and title.
var oc2dAnnotateAuto = 0;               // Annotation placement automatically determined.
var oc2dAnnotateOrigin = 1;             // Annotation along the origin.
var oc2dAnnotateMinimum = 2;            // Annotation along the axis minimum.
var oc2dAnnotateMaximum = 3;            // Annotation along the axis maximum.

//---- AttachMethodConstants Values ----   Specifies how a chart label is attached to a chart.
var oc2dAttachCoord = 0;                // Attach at specified pixel coordinate.
var oc2dAttachDataCoord = 1;            // Attach to specified data coordinates.
var oc2dAttachDataIndex = 2;            // Attach to specified data indices.
var oc2dAttachDataIndexDataY = 3;       // Attach using data index for X coordinate, and data value for Y coordinate.

//---- AxisIDConstants Values ----         Specifies a chart axis.
var oc2dAxisX = 1;                      // X-axis.
var oc2dAxisY = 2;                      // Y-axis.
var oc2dAxisY2 = 3;                     // Y2-axis (second Y-axis).

//---- BorderTypeConstants Values ----     Valid border styles.
var oc2dBorderNone = 0;                 // Border None
var oc2dBorder3DOut = 1;                // Border 3D Out
var oc2dBorder3DIn = 2;                 // Border 3D In
var oc2dBorderShadow = 3;               // Border Shadow
var oc2dBorderPlain = 4;                // Border Plain
var oc2dBorderEtchedIn = 5;             // Border Etched In
var oc2dBorderEtchedOut = 6;            // Border Etched Out
var oc2dBorderFrameIn = 7;              // Border Frame In
var oc2dBorderFrameOut = 8;             // Border Frame Out
var oc2dBorderBevel = 9;                // Border Bevel

//---- DataLayoutConstants Values ----     Specifies the layout of the data to be graphed.
var oc2dDataArray = 1;                  // Array data.
var oc2dDataGeneral = 2;                // General data.

//---- DisplayConstants Values ----        Specifies the visibility of the item.
var oc2dDisplayShow = 1;                // Show
var oc2dDisplayHide = 2;                // Hide
var oc2dDisplayExclude = 3;             // Exclude

//---- FillPatternConstants Values ----    Valid fill patterns.
var oc2dFillNone = 1;                   // None
var oc2dFillSolid = 2;                  // Solid
var oc2dFill25Percent = 3;              // 25 %
var oc2dFill50Percent = 4;              // 50 %
var oc2dFill75Percent = 5;              // 75 %
var oc2dFillHorizontalStripe = 6;       // Horizontal Stripe
var oc2dFillVerticalStripe = 7;         // Vertical Stripe
var oc2dFill45DegreeStripe = 8;         // 45 Degree Stripe
var oc2dFill135DegreeStripe = 9;        // 135 Degree Stripe
var oc2dFillDiagHatched = 10;           // Diagonal Hatched
var oc2dFillCrossHatched = 11;          // Cross Hatched
var oc2dFillBackwardDiagonal = 12;      // Backward Diagonal
var oc2dFillCross = 13;                 // Cross
var oc2dFillDiagonalCross = 14;         // Diagonal Cross
var oc2dFillForwardDiagonal = 15;       // Forward Diagonal
var oc2dFillHorizontal = 16;            // Horizontal
var oc2dFillVertical = 17;              // Vertical

//---- FocusConstants Values ----          Specifies how the nearest series and point value are determined.
var oc2dFocusX = 1;                     // Use X-axis to determine closest value.
var oc2dFocusY = 2;                     // Use Y-axis to determine closest value.
var oc2dFocusXY = 3;                    // Use both axes to determine closest value.

//---- LinePatternConstants Values ----    Valid line patterns.
var oc2dLineNone = 1;                   // None
var oc2dLineSolid = 2;                  // Solid
var oc2dLineLongDash = 3;               // Long Dash
var oc2dLineDotted = 4;                 // Dotted
var oc2dLineShortDash = 5;              // Short Dash
var oc2dLineLongShortLongDash = 6;      // Long Short Long Dash
var oc2dLineDashDot = 7;                // Dash Dot

//---- MarkerMethodConstants Values ----   Specifies the marker positioning method used.
var oc2dMarkerDataCoord = 2;            // Specify position in data coordinates.
var oc2dMarkerDataIndex = 1;            // Specify position as an index into a data set.

//---- NumMethodConstants Values ----      Specifies the method used to calculate axis numbering.
var oc2dNumPrecision = 0;               // Use current value of axis precision.
var oc2dNumRound = 1;                   // Use rounded numbers (most significant digit is 1, 2 or 5).

//---- OriginPlacementConstants Values ----  Specifies the location of the origin.
var oc2dOriginAuto = 0;                 // Origin location automatically determined.
var oc2dOriginZero = 1;                 // Origin at zero.
var oc2dOriginMinimum = 2;              // Origin at axis minimum.
var oc2dOriginMaximum = 3;              // Origin at axis maximum.

//---- SortOrderConstants Values ----      Specifies the order in which pie slices should be displayed.
var oc2dSortOrderAscending = 1;         // Ascending order.
var oc2dSortOrderDescending = 2;        // Descending order.
var oc2dSortOrderNone = 3;              // Data Order.

//---- ThresholdConstants Values ----      Specifies the method used to determine which point values will be grouped into the "other" slice in pie charts.
var oc2dThresholdSliceCutoff = 1;       // Group all values whose individual percentage is less than ThresholdValue.
var oc2dThresholdPercentile = 2;        // Group values whose total percentage is less than ThresholdValue.

//---- ShapeConstants Values ----          Valid symbol shapes.
var oc2dShapeNone = 1;                  // None
var oc2dShapeDot = 2;                   // Dot
var oc2dShapeBox = 3;                   // Box
var oc2dShapeTriangle = 4;              // Triangle
var oc2dShapeDiamond = 5;               // Diamond
var oc2dShapeStar = 6;                  // Star
var oc2dShapeVerticalLine = 7;          // Vertical Line
var oc2dShapeHorizontalLine = 8;        // Horizontal Line
var oc2dShapeCross = 9;                 // Cross
var oc2dShapeCircle = 10;               // Circle
var oc2dShapeSquare = 11;               // Square
var oc2dShapeInvertTriangle = 12;       // Invert Triangle
var oc2dShapeDiagonalCross = 13;        // Diagonal Cross
var oc2dShapeOpenTriangle = 14;         // Open Triangle
var oc2dShapeOpenDiamond = 15;          // Open Diamond
var oc2dShapeOpenInvertTriangle = 16;   // Open Invert Triangle

//---- RegionConstants Values ----         Specifies a region of a chart.
var oc2dRegionInChartArea = -100;       // Located in chart area.
var oc2dRegionInLegend = -99;           // Located in legend.
var oc2dRegionInHeader = -98;           // Located in header.
var oc2dRegionInFooter = -97;           // Located in footer.
var oc2dRegionNone = -96;               // No particular region.

//---- RotationConstants Values ----       Specifies an angle of rotation (in counterclockwise degrees).
var oc2dRotateNone = 1;                 // No rotation.
var oc2dRotate90Degrees = 2;            // Rotate 90 degrees.
var oc2dRotate270Degrees = 3;           // Rotate 270 degrees.
var oc2dRotate45Degrees = 4;            // Rotate 45 degrees.
var oc2dRotate315Degrees = 5;           // Rotate 315 degrees.

//---- TimeUnitConstants Values ----       Specifies the time unit to use in a time-axis.
var oc2dTimeSeconds = 1;                // Seconds
var oc2dTimeMinutes = 2;                // Minutes
var oc2dTimeHours = 3;                  // Hours
var oc2dTimeDays = 4;                   // Days
var oc2dTimeWeeks = 5;                  // Weeks
var oc2dTimeMonths = 6;                 // Months
var oc2dTimeYears = 7;                  // Years

//---- ChartTypeConstants Values ----      Specifies the chart display type.
var oc2dTypePlot = 1;                   // Line chart.
var oc2dTypeBar = 2;                    // Bar chart.
var oc2dTypePie = 3;                    // Pie chart.
var oc2dTypeStackingBar = 4;            // Stacking bar chart.
var oc2dTypeArea = 5;                   // Area chart.
var oc2dTypeHiLo = 6;                   // HiLo chart.
var oc2dTypeHiLoOpenClose = 7;          // HiLoOpenClose chart.
var oc2dTypeCandle = 8;                 // Candle chart.
var oc2dTypePolar = 9;                  // Polar chart.
var oc2dTypeRadar = 10;                 // Radar chart.
var oc2dTypeFilledRadar = 11;           // Filled radar chart.
var oc2dTypeBubble = 12;                // Bubble chart.

//---- ActionConstants Values ----         Specifies a user action.
var oc2dActionNone = 0;                 // No action.
var oc2dActionModifyStart = 1;          // Start a user interaction.
var oc2dActionModifyEnd = 2;            // Notify application that user interaction has ended.
var oc2dActionRotate = 3;               // Rotate the chart.
var oc2dActionScale = 4;                // Scale the chart.
var oc2dActionTranslate = 5;            // Translate the chart.
var oc2dActionZoomStart = 6;            // Start zoom.
var oc2dActionZoomUpdate = 7;           // Update the zoom area selection rubberband.
var oc2dActionZoomEnd = 8;              // Zoom into chart at the area selected by the rubberband.
var oc2dActionZoomCancel = 9;           // Cancel zoom in progress.
var oc2dActionReset = 10;               // Restore all scaling and translations to default.
var oc2dActionProperties = 11;          // Display property page.
var oc2dActionZoomAxisEnd = 12;         // Zoom into chart at selected area, retaining the axes.

//---- FormatConstants Values ----         Specifies the format to use when printing.
var oc2dFormatBitmap = 1;               // Bitmap (.BMP).
var oc2dFormatMetafile = 2;             // Metafile (.WMF).
var oc2dFormatEnhMetafile = 3;          // Enhanced metafile (.EMF).
var oc2dFormatStandardMetafile = 4;     // Standard metafile (.WMF).

//---- ScaleConstants Values ----          Specifies the scaling to use when printing.
var oc2dScaleNone = 1;                  // Same size as actual chart.
var oc2dScaleToWidth = 2;               // Scale to specified width, preserving aspect ratio.
var oc2dScaleToHeight = 3;              // Scale to specified height, preserving aspect ratio.
var oc2dScaleToFit = 4;                 // Scale to existing window (minimum of height and width), preserving aspect ratio.
var oc2dScaleToMax = 5;                 // Enlarge to size of page.

//---- AngleUnitConstants Values ----      Specifies the angle unit of polar and radar charts.
var oc2dAngleUnitDegrees = 1;           // Degree angles.
var oc2dAngleUnitRadians = 2;           // Radian angles.
var oc2dAngleUnitGrads = 3;             // Grad angles.

//---- ShadingConstants Values ----        Specifies the shading method applied to 3D areas.
var oc2dShadingColor = 1;               // Colored 3D effects.
var oc2dShadingDithered = 2;            // Dithered 3D effects.
var oc2dShadingNone = 3;                // No special 3D effects.

//---- CategoryConstants Values ----       Specifies the value format category.
var oc2dCategoryStandard = 1;           // .
var oc2dCategoryNumber = 2;             // 1,234.56.
var oc2dCategoryCurrency = 3;           // $1,234.56.
var oc2dCategoryAccounting = 4;         // $1,234.56.
var oc2dCategoryPercentage = 7;         // 12.34%.
var oc2dCategoryFraction = 8;           // 1,234 56/100.
var oc2dCategoryScientific = 9;         // 1.23E+03.
var oc2dCategoryCustom = 12;            // .

//---- OrderSignValueConstants Values ----  Specifies the order of the sign and value.
var oc2dosvValueSign = 1;               // Value, sign:  1.1-.
var oc2dosvSignValue = 2;               // Sign, value:  -1.1.

//---- OrderCurrencySignValueConstants Values ----  Specifies the order of the currency symbol, sign and value.
var oc2docsvValueSignCurrency = 1;      // Value, sign, currency:  1.1-$.
var oc2docsvSignValueCurrency = 2;      // Sign, value, currency:  -1.1$.
var oc2docsvValueCurrencySign = 3;      // Value, currency, sign:  1.1$-.
var oc2docsvSignCurrencyValue = 4;      // Sign, currency, value:  -$1.1.
var oc2docsvCurrencyValueSign = 5;      // Currency, value, sign:  $1.1-.
var oc2docsvCurrencySignValue = 6;      // Currency, sign, value:  $-1.1.

//---- OrderPercentSignValueConstants Values ----  Specifies the order of the percent symbol, sign and value.
var oc2dopsvValueSignPercent = 1;       // Value, sign, percent:  1.1-%.
var oc2dopsvSignValuePercent = 2;       // Sign, value, percent:  -1.1%.
var oc2dopsvValuePercentSign = 3;       // Value, percent, sign:  1.1%-.
var oc2dopsvSignPercentValue = 4;       // Sign, percent, value:  -%1.1.
var oc2dopsvPercentValueSign = 5;       // Percent, value, sign:  %1.1-.
var oc2dopsvPercentSignValue = 6;       // Percent, sign, value:  %-1.1.

//---- ChartEditorElementConstants Values ----  Chart editor elements.
var oc2dceeControl = 1;                 // .
var oc2dceeAxes = 2;                    // .
var oc2dceeChartGroups = 3;             // .
var oc2dceeChartStyles = 4;             // .
var oc2dceeTitles = 5;                  // .
var oc2dceeView3D = 9;                  // .
var oc2dceeMarkers = 10;                // .
var oc2dceeLegend = 11;                 // .
var oc2dceeChartArea = 12;              // .
var oc2dceePlotArea = 13;               // .
var oc2dceeChartLabels = 14;            // .
var oc2dceeControlGeneral = 41;         // .
var oc2dceeControlBorder = 42;          // .
var oc2dceeControlInterior = 43;        // .
var oc2dceeControlImage = 44;           // .
var oc2dceeControlAbout = 45;           // .
var oc2dceeAxesGeneral = 61;            // .
var oc2dceeAxesAnnotation = 62;         // .
var oc2dceeAxesScale = 63;              // .
var oc2dceeAxesTitle = 64;              // .
var oc2dceeAxesGrid = 65;               // .
var oc2dceeAxesGridStyle = 66;          // .
var oc2dceeAxesFont = 67;               // .
var oc2dceeAxesPolarRadar = 68;         // .
var oc2dceeAxesAxisStyle = 69;          // .
var oc2dceeChartGroupsGeneral = 81;     // .
var oc2dceeChartGroupsData = 82;        // .
var oc2dceeChartGroupsLabels = 83;      // .
var oc2dceeChartGroupsBinding = 84;     // .
var oc2dceeChartGroupsBar = 85;         // .
var oc2dceeChartGroupsCandle = 86;      // .
var oc2dceeChartGroupsHiLoOpenClose = 87;  // .
var oc2dceeChartGroupsPie = 88;         // .
var oc2dceeChartGroupsOtherSlice = 89;  // .
var oc2dceeChartGroupsPolar = 90;       // .
var oc2dceeChartGroupsInternet = 91;    // .
var oc2dceeChartGroupsBubble = 92;      // .
var oc2dceeChartStylesFillStyle = 101;  // .
var oc2dceeChartStylesLineStyle = 102;  // .
var oc2dceeChartStylesSymbolStyle = 103;  // .
var oc2dceeChartStylesSliceStyle = 104;  // .
var oc2dceeTitlesGeneral = 121;         // .
var oc2dceeTitlesLabel = 122;           // .
var oc2dceeTitlesLocation = 123;        // .
var oc2dceeTitlesBorder = 124;          // .
var oc2dceeTitlesInterior = 125;        // .
var oc2dceeTitlesFont = 126;            // .
var oc2dceeTitlesImage = 127;           // .
var oc2dceeView3DGeneral = 201;         // .
var oc2dceeMarkersGeneral = 221;        // .
var oc2dceeMarkersAttach = 222;         // .
var oc2dceeMarkersLineStyle = 223;      // .
var oc2dceeLegendGeneral = 241;         // .
var oc2dceeLegendLocation = 242;        // .
var oc2dceeLegendBorder = 243;          // .
var oc2dceeLegendInterior = 244;        // .
var oc2dceeLegendFont = 245;            // .
var oc2dceeLegendImage = 246;           // .
var oc2dceeLegendTitle = 247;           // .
var oc2dceeChartAreaGeneral = 261;      // .
var oc2dceeChartAreaLocation = 262;     // .
var oc2dceeChartAreaBorder = 263;       // .
var oc2dceeChartAreaInterior = 264;     // .
var oc2dceeChartAreaImage = 265;        // .
var oc2dceePlotAreaGeneral = 281;       // .
var oc2dceePlotAreaInterior = 282;      // .
var oc2dceePlotAreaImage = 283;         // .
var oc2dceeChartLabelsGeneral = 301;    // .
var oc2dceeChartLabelsLabel = 302;      // .
var oc2dceeChartLabelsBorder = 303;     // .
var oc2dceeChartLabelsInterior = 304;   // .
var oc2dceeChartLabelsFont = 305;       // .
var oc2dceeChartLabelsLocation = 306;   // .
var oc2dceeChartLabelsImage = 307;      // .
var oc2dceeControlGeneralLoad = 361;    // .
var oc2dceeControlGeneralSave = 362;    // .
var oc2dceeChartStylesAdd = 401;        // .
var oc2dceeChartStylesRemove = 402;     // .
var oc2dceeChartGroupsDataLoad = 441;   // .
var oc2dceeChartGroupsDataSave = 442;   // .
var oc2dceeChartGroupsDataSort = 443;   // .
var oc2dceeChartGroupsDataEdit = 444;   // .
var oc2dceeChartGroupsDataSeries = 445;  // .

//---- ImageLayoutConstants Values ----    Specifies the image layout.
var oc2dImageCentered = 1;              // Centered image
var oc2dImageTiled = 2;                 // Tiled image
var oc2dImageFitted = 3;                // Fitted image
var oc2dImageStretched = 4;             // Stretched image
var oc2dImageStretchedToWidth = 5;      // Stretched to width image
var oc2dImageStretchedToHeight = 6;     // Stretched to height image
var oc2dImageCropFitted = 7;            // Crop fitted image

//---- BubbleMethodConstants Values ----   Specifies the method of determining bubble size
var oc2dBubbleDiameter = 1;             // Bubble size based on diameter
var oc2dBubbleArea = 2;                 // Bubble size based on area

%>
