<%
//*****************************************************************************
//*
//* Copyright (c) ComponentOne LLC.
//* Portions Copyright (c) 1999, KL GROUP INC.
//* http://www.componentone.com
//*
//* This file is provided for demonstration and educational uses only.
//* Permission to use, copy, modify and distribute this file for
//* any purpose and without fee is hereby granted, provided that the
//* above copyright notice and this permission notice appear in all
//* copies, and that the name of ComponentOne not be used in advertising
//* or publicity pertaining to this material without the specific,
//* prior written permission of an authorized representative of
//* ComponentOne.
//*
//* COMPONENTONE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
//* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
//* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
//* PURPOSE, OR NON-INFRINGEMENT. COMPONENTONE SHALL NOT BE LIABLE FOR ANY
//* DAMAGES SUFFERED BY USERS AS A RESULT OF USING, MODIFYING OR
//* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
//*
//*****************************************************************************


//---- AdjustConstants Values ----         Specifies the alignment of multiple lines of text in a header or footer.
var oc3dAdjustLeft = 1;                 // Aligned to left edge.
var oc3dAdjustRight = 2;                // Aligned to right edge.
var oc3dAdjustCenter = 3;               // Centered.

//---- OrientationConstants Values ----    Specifies the orientation.
var oc3dOrientVertical = 1;             // Vertical orientation.
var oc3dOrientHorizontal = 2;           // Horizontal orientation.

//---- AnchorConstants Values ----         Specifies the position of the object relative to the anchor position.
var oc3dAnchorNorth = 16;               // Above anchor position.
var oc3dAnchorSouth = 32;               // Below anchor position.
var oc3dAnchorEast = 1;                 // To right of anchor position.
var oc3dAnchorWest = 2;                 // To left of anchor position.
var oc3dAnchorNorthEast = 17;           // Above and to right of anchor position.
var oc3dAnchorNorthWest = 18;           // Above and to left of anchor position.
var oc3dAnchorSouthEast = 33;           // Below and to right of position.
var oc3dAnchorSouthWest = 34;           // Below and to left of position.

//---- AnnotationMethodConstants Values ----  Specifies the annotation method.
var oc3dAnnotateValues = 1;             // Annotate using chart's data values.
var oc3dAnnotateDataLabels = 2;         // Annotate using data labels.
var oc3dAnnotateValueLabels = 3;        // Annotate using ValueLabels property.

//---- AttachMethodConstants Values ----   Specifies how a chart label is attached to a chart.
var oc3dAttachDataIndex = 0;            // Attach to a grid index.
var oc3dAttachCoord = 1;                // Attach to pixel coordinates on the chart.
var oc3dAttachDataCoord = 2;            // Attach to a point in 3D space.

//---- AxisIDConstants Values ----         Specifies a chart axis.
var oc3dAxisX = 1;                      // X-axis.
var oc3dAxisY = 2;                      // Y-axis.
var oc3dAxisZ = 3;                      // Z-axis.

//---- BarFormatConstants Values ----      The format in which bars are displayed.
var oc3dBarFixed = 0;                   // Fixed format.
var oc3dBarHistogram = 1;               // Histogram format.

//---- BorderTypeConstants Values ----     Valid border styles.
var oc3dBorderNone = 0;                 // Border None.
var oc3dBorder3DOut = 1;                // Border 3D Out.
var oc3dBorder3DIn = 2;                 // Border 3D In.
var oc3dBorderShadow = 3;               // Border Shadow.
var oc3dBorderPlain = 4;                // Border Plain.
var oc3dBorderEtchedIn = 5;             // Border Etched In.
var oc3dBorderEtchedOut = 6;            // Border Etched Out.
var oc3dBorderFrameIn = 7;              // Border Frame In
var oc3dBorderFrameOut = 8;             // Border Frame Out
var oc3dBorderBevel = 9;                // Border Bevel

//---- DataLayoutConstants Values ----     Specifies the type of data to be charted.
var oc3dDataGrid = 1;                   // Regular grid data.
var oc3dDataIrregularGrid = 2;          // Irregular grid data.
var oc3dDataPoint = 3;                  // Point data.

//---- InterpolationConstants Values ----  Specifies the spline interpolation method to use.
var oc3dInterpolateLinearSpline = 1;    // Linear spline interpolation.
var oc3dInterpolateCubicSpline = 2;     // Cubic spline interpolation.

//---- DistributionRangeConstants Values ----  Specifies the distribution range to use.
var oc3dDistributionRangeData = 1;      // Range spanned by the data.
var oc3dDistributionRangeAll = 2;       // Entire range of distribution table.

//---- LegendTypeConstants Values ----     Determines the legend style.
var oc3dLegendTypeStepped = 1;          // Range printed for each zone.
var oc3dLegendTypeContinuous = 2;       // Level printed at the division between two adjacent zones.

//---- LinePatternConstants Values ----    Valid line patterns.
var oc3dLineNone = 1;                   // None
var oc3dLineSolid = 2;                  // Solid
var oc3dLineLongDash = 3;               // Long Dash
var oc3dLineDotted = 4;                 // Dotted
var oc3dLineShortDash = 5;              // Short Dash
var oc3dLineLongShortLongDash = 6;      // Long Short Long Dash
var oc3dLineDashDot = 7;                // Dash Dot

//---- PlaneConstants Values ----          Specifies a plane of the chart.
var oc3dXYPlane = 1;                    // The XY-Plane
var oc3dXZPlane = 2;                    // The XZ-Plane
var oc3dYZPlane = 4;                    // The YZ-Plane

//---- RegionConstants Values ----         Specifies a region of a chart.
var oc3dRegionInChartArea = -100;       // Located in chart area.
var oc3dRegionInLegend = -99;           // Located in legend.
var oc3dRegionInHeader = -98;           // Located in header.
var oc3dRegionInFooter = -97;           // Located in footer.
var oc3dRegionNone = -96;               // No particular region.

//---- StrokeFontConstants Values ----     Specifies a stroke font.
var oc3dCyrillicComplex = 0;            // Cyrillic Complex
var oc3dGothicEnglish = 1;              // Gothic English
var oc3dGothicGerman = 2;               // Gothic German
var oc3dGothicItalian = 3;              // Gothic Italian
var oc3dGreekComplex = 4;               // Greek Complex
var oc3dGreekComplexSmall = 5;          // Greek Complex Small
var oc3dGreekSimplex = 6;               // Greek Simplex
var oc3dItalicComplex = 7;              // Italic Complex
var oc3dItalicComplexSmall = 8;         // Italic Complex Small
var oc3dItalicTriplex = 9;              // Italic Triplex
var oc3dRomanComplex = 10;              // Roman Complex
var oc3dRomanComplexSmall = 11;         // Roman Complex Small
var oc3dRomanDuplex = 12;               // Roman Duplex
var oc3dRomanSimplex = 13;              // Roman Simplex
var oc3dRomanTriplex = 14;              // Roman Triplex
var oc3dScriptComplex = 15;             // Script Complex
var oc3dScriptSimplex = 16;             // Script Simplex

//---- ChartTypeConstants Values ----      Specifies the chart display type.
var oc3dTypeSurface = 0;                // Surface chart.
var oc3dTypeBar = 1;                    // Bar chart.
var oc3dTypeScatter = 2;                // Scatter chart.

//---- ZoneMethodConstants Values ----     Specifies the method used to fill each zone region.
var oc3dZoneContours = 0;               // Contour zoning.
var oc3dZoneCells = 1;                  // Cell zoning.

//---- PreviewMethodConstants Values ----  Specifies how interactive rotations are to be presented to the user.
var oc3dPreviewCube = 0;                // Draw outline of plot cube.
var oc3dPreviewFull = 100;              // Draw entire chart.

//---- ActionConstants Values ----         Specifies a user action.
var oc3dActionNone = 0;                 // No action.
var oc3dActionModifyStart = 1;          // Start any user interaction.
var oc3dActionModifyEnd = 2;            // Notify application that user interaction has ended.
var oc3dActionModifyCancel = 3;         // Cancel a user interaction.
var oc3dActionRotate = 4;               // Rotate the chart.
var oc3dActionScale = 5;                // Scale the chart.
var oc3dActionTranslate = 6;            // Translate the chart.
var oc3dActionZoomStart = 7;            // Start zoom.
var oc3dActionZoomUpdate = 8;           // Update the zoom rubberband.
var oc3dActionZoomEnd = 9;              // End a zoom.
var oc3dActionZoomCancel = 10;          // Cancel a zoom in progress.
var oc3dActionReset = 11;               // Undo all scaling and translations.
var oc3dActionProperties = 12;          // Display property page.
var oc3dActionRotateXAxis = 100;        // Rotate about X-axis.
var oc3dActionRotateYAxis = 101;        // Rotate about Y-axis.
var oc3dActionRotateZAxis = 102;        // Rotate about Z-axis.
var oc3dActionRotateEye = 103;          // Rotate about the eyepoint.
var oc3dActionRotateFree = 104;         // Unconstrained Rotation.

//---- FormatConstants Values ----         Specifies the format to use when printing.
var oc3dFormatBitmap = 1;               // Bitmap.
var oc3dFormatMetafile = 2;             // Metafile.
var oc3dFormatEnhMetafile = 3;          // Enhanced Metafile.
var oc3dFormatStandardMetafile = 4;     // Standard Metafile.

//---- ScaleConstants Values ----          Specifies the scaling to use when printing.
var oc3dScaleNone = 1;                  // Same size as actual chart.
var oc3dScaleToWidth = 2;               // Scale to specified width, preserving aspect ratio.
var oc3dScaleToHeight = 3;              // Scale to specified height, preserving aspect ratio.
var oc3dScaleToFit = 4;                 // Scale to existing window (minimum of height and width), preserving aspect ratio.
var oc3dScaleToMax = 5;                 // Enlarge to size of page.

//---- ChartEditorElementConstants Values ----  Chart editor elements constants.
var oc3dceeControl = 1;                 // .
var oc3dceeAxes = 2;                    // .
var oc3dceeChartGroup = 3;              // .
var oc3dceeStyles = 4;                  // .
var oc3dceeTitles = 5;                  // .
var oc3dceeLegend = 6;                  // .
var oc3dceeChartArea = 7;               // .
var oc3dceePlotCube = 8;                // .
var oc3dceeChartLabels = 9;             // .
var oc3dceeBar = 10;                    // .
var oc3dceeSurface = 11;                // .
var oc3dceeView3D = 12;                 // .
var oc3dceeLevels = 13;                 // .
var oc3dceeChartStyles = 14;            // .
var oc3dceeControlGeneral = 41;         // .
var oc3dceeControlBorder = 42;          // .
var oc3dceeControlInterior = 43;        // .
var oc3dceeControlAbout = 44;           // .
var oc3dceeControlImage = 45;           // .
var oc3dceeAxesGeneral = 61;            // .
var oc3dceeAxesScale = 62;              // .
var oc3dceeAxesTitle = 63;              // .
var oc3dceeAxesGridLines = 64;          // .
var oc3dceeAxesValueLabels = 65;        // .
var oc3dceeAxesStrokeFont = 66;         // .
var oc3dceeAxesGridStyle = 67;          // .
var oc3dceeAxesFont = 68;               // .
var oc3dceeChartGroupGeneral = 81;      // .
var oc3dceeChartGroupData = 82;         // .
var oc3dceeChartGroupLabels = 83;       // .
var oc3dceeChartGroupElevation = 84;    // .
var oc3dceeChartGroupInternet = 85;     // .
var oc3dceeChartGroupScatter = 86;      // .
var oc3dceeChartGroupSurface = 87;      // .
var oc3dceeChartGroupBar = 88;          // .
var oc3dceeChartGroupBarColor = 89;     // .
var oc3dceeStylesGeneral = 101;         // .
var oc3dceeStylesFillStyle = 102;       // .
var oc3dceeStylesLineStyle = 103;       // .
var oc3dceeStylesAdd = 104;             // .
var oc3dceeStylesRemove = 105;          // .
var oc3dceeTitlesGeneral = 121;         // .
var oc3dceeTitlesLabel = 122;           // .
var oc3dceeTitlesLocation = 123;        // .
var oc3dceeTitlesBorder = 124;          // .
var oc3dceeTitlesInterior = 125;        // .
var oc3dceeTitlesFont = 126;            // .
var oc3dceeTitlesImage = 127;           // .
var oc3dceeLegendGeneral = 141;         // .
var oc3dceeLegendLabels = 142;          // .
var oc3dceeLegendLocation = 143;        // .
var oc3dceeLegendBorder = 144;          // .
var oc3dceeLegendInterior = 145;        // .
var oc3dceeLegendFont = 146;            // .
var oc3dceeLegendImage = 147;           // .
var oc3dceeLegendTitle = 148;           // .
var oc3dceeChartAreaLocation = 162;     // .
var oc3dceeChartAreaBorder = 163;       // .
var oc3dceeChartAreaInterior = 164;     // .
var oc3dceeChartAreaImage = 165;        // .
var oc3dceePlotCubeGeneral = 181;       // .
var oc3dceePlotCubeCeiling = 182;       // .
var oc3dceePlotCubeFloor = 183;         // .
var oc3dceePlotCubeViewport = 184;      // .
var oc3dceePlotCubeInterior = 185;      // .
var oc3dceeChartLabelsGeneral = 201;    // .
var oc3dceeChartLabelsAttach = 202;     // .
var oc3dceeChartLabelsLabel = 203;      // .
var oc3dceeChartLabelsBorder = 204;     // .
var oc3dceeChartLabelsInterior = 205;   // .
var oc3dceeChartLabelsFont = 206;       // .
var oc3dceeChartLabelsStrokeFont = 207;  // .
var oc3dceeChartLabelsImage = 208;      // .
var oc3dceeBarGeneral = 221;            // .
var oc3dceeBarColors = 222;             // .
var oc3dceeSurfaceGeneral = 241;        // .
var oc3dceeView3DGeneral = 261;         // .
var oc3dceeLevelsGeneral = 281;         // .
var oc3dceeLevelsAdd = 282;             // .
var oc3dceeLevelsRemove = 283;          // .
var oc3dceeControlGeneralLoad = 301;    // .
var oc3dceeControlGeneralSave = 302;    // .
var oc3dceeChartGroupDataLoad = 341;    // .
var oc3dceeChartGroupDataSave = 342;    // .
var oc3dceeChartGroupDataSmooth = 343;  // .
var oc3dceeChartGroupDataEdit = 344;    // .
var oc3dceeChartGroupDataRowLayout = 345;  // .
var oc3dceeChartGroupDataColLayout = 346;  // .
var oc3dceeStylesGeneralLoad = 381;     // .
var oc3dceeStylesGeneralSave = 382;     // .
var oc3dceeStylesGeneralReset = 383;    // .
var oc3dceeLevelsGeneralLoad = 421;     // .
var oc3dceeLevelsGeneralSave = 422;     // .
var oc3dceeChartStylesLineStyle = 431;  // .
var oc3dceeChartStylesSymbolStyle = 432;  // .
var oc3dceeChartStylesAdd = 433;        // .
var oc3dceeChartStylesRemove = 434;     // .

//---- ImageLayoutConstants Values ----    Specifies the image layout.
var oc3dImageCentered = 1;              // Centered image
var oc3dImageTiled = 2;                 // Tiled image
var oc3dImageFitted = 3;                // Fitted image
var oc3dImageStretched = 4;             // Stretched image
var oc3dImageStretchedToWidth = 5;      // Stretched to width image
var oc3dImageStretchedToHeight = 6;     // Stretched to height image
var oc3dImageCropFitted = 7;            // Crop fitted image

//---- ShapeConstants Values ----          Valid symbol shapes.
var oc3dShapeNone = 1;                  // None
var oc3dShapeDot = 2;                   // Dot
var oc3dShapeBox = 3;                   // Box
var oc3dShapeTriangle = 4;              // Triangle
var oc3dShapeDiamond = 5;               // Diamond
var oc3dShapeStar = 6;                  // Star
var oc3dShapeVerticalLine = 7;          // Vertical Line
var oc3dShapeHorizontalLine = 8;        // Horizontal Line
var oc3dShapeCross = 9;                 // Cross
var oc3dShapeCircle = 10;               // Circle
var oc3dShapeSquare = 11;               // Square
var oc3dShapeInvertTriangle = 12;       // Invert Triangle
var oc3dShapeDiagonalCross = 13;        // Diagonal Cross
var oc3dShapeOpenTriangle = 14;         // Open Triangle
var oc3dShapeOpenDiamond = 15;          // Open Diamond
var oc3dShapeOpenInvertTriangle = 16;   // Open Invert Triangle

%>
