<%
//*****************************************************************************
//*
//* Copyright (c) ComponentOne LLC.
//* Portions Copyright (c) 1999, KL GROUP INC.
//* http://www.componentone.com
//*
//* This file is provided for demonstration and educational uses only.
//* Permission to use, copy, modify and distribute this file for
//* any purpose and without fee is hereby granted, provided that the
//* above copyright notice and this permission notice appear in all
//* copies, and that the name of ComponentOne not be used in advertising
//* or publicity pertaining to this material without the specific,
//* prior written permission of an authorized representative of
//* ComponentOne.
//*
//* COMPONENTONE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
//* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
//* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
//* PURPOSE, OR NON-INFRINGEMENT. COMPONENTONE SHALL NOT BE LIABLE FOR ANY
//* DAMAGES SUFFERED BY USERS AS A RESULT OF USING, MODIFYING OR
//* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
//*
//*****************************************************************************

function OlectraChart3D_AllocateTemporaryFile()
{
  var TFA;

  if (Session("TFA") == null)
  {
    // Create a temporary file allocator.
    TFA = Server.CreateObject("C1Chart8.ASPTemporaryFileAllocator");
    TFA.VirtualDirectory = "/OCTemp/" + Session.SessionID.toString(16) + (new Date()).getTime().toString(16);
    TFA.CleanDirectory();

    // Store the temporary file allocator in the session object.
    Session("TFA") = TFA;
	
	//Default is 20 minute timeout.  However resetting the Session Timeout value
	//also defines how long the temporary file will be retained.
	//Session.Timeout = 1;
  }
  else
  {
    // Re-use the existing temporary file allocator.
    TFA = Session("TFA");
  }

  // Allocate a temporary file.
  return(TFA.Allocate());
}

function OlectraChart3D_GenerateTag_JPEG(aChart, anIdentifier)
{
  // Generate an HTML tag for a JPEG image.
  var TF;
  TF = OlectraChart3D_AllocateTemporaryFile();
  aChart.SaveImageAsJPeg(TF.Name + ".JPG", 100, false, false, true);
  Response.Write("<IMG SRC=\"" + TF.VirtualName + ".JPG\" ID=\"" + anIdentifier + "\" NAME=\"" + anIdentifier + "\">")
}

function OlectraChart3D_GenerateTag_PNG(aChart, anIdentifier)
{
  // Generate an HTML tag for a PNG image.
  var TF;
  TF = OlectraChart3D_AllocateTemporaryFile();
  aChart.SaveImageAsPng(TF.Name + ".PNG", true);
  Response.Write("<IMG SRC=\"" + TF.VirtualName + ".PNG\" ID=\"" + anIdentifier + "\" NAME=\"" + anIdentifier + "\">");
}

function OlectraChart3D_GenerateTag_Control(aChart, anIdentifier)
{
  // Generate an HTML tag for an ActiveX control.
  var TF;
  TF = OlectraChart3D_AllocateTemporaryFile();
  aChart.Save(TF.Name + ".OC3");

  // Invoke the License Manager to register the control
  with(Response)
  {
    Write("<OBJECT CLASSID=\"clsid:5220cb21-c88d-11cf-b347-00aa00a28331\">\n");
    Write("<PARAM NAME=\"LPKPath\" value=\"/WebChart8/CABs/olch3x8.lpk\"> \n");
    Write("</OBJECT>\n");
    Write("\n");

    // Insert the chart and load the OC3 data file
    Write("<object ID=\"" + anIdentifier + "\" ");
    Write("WIDTH=\"" + aChart.Width + "\" HEIGHT=\"" + aChart.Height + "\" \n");
    Write("CLASSID=\"CLSID:BBFE3130-FC0E-40DA-B4E0-26C07D7D9B05\" \n");
    Write("CODEBASE=\"/WebChart8/CABs/olch3x8.cab\">\n");
    Write("<PARAM NAME=\"DataPath\" ");
    Write("VALUE=\"http://" + Request.ServerVariables("SERVER_NAME") + TF.VirtualName + ".OC3\">\n");
    Write("</object>\n");
  }
}

function OlectraChart3D_GenerateTag_Image(aChart, anIdentifier)
{
  // Virtually all browsers now handle PNG files.  So if an image
  // is requested, use PNG as the quality is so much better.
  //

  // Generate the appropriate HTML image tag based on the browser's capabilities.
  //var BC;

  //BC = Server.CreateObject("MSWC.BrowserType");

  //if (BC.PNG == true)
  //{
    OlectraChart3D_GenerateTag_PNG(aChart, anIdentifier);
  //}
  //else
  //{
  //  OlectraChart3D_GenerateTag_JPEG(aChart, anIdentifier);
  //}
}

function OlectraChart3D_GenerateTag(aChart, anIdentifier)
{
  // Generate the appropriate HTML tag based on the browser's capabilities.
  var BC;

  BC = Server.CreateObject("MSWC.BrowserType");

  if (BC.ActiveXControls == true)
  {
    OlectraChart3D_GenerateTag_Control(aChart, anIdentifier);
  }
  else if (BC.PNG == true)
  {
    OlectraChart3D_GenerateTag_PNG(aChart, anIdentifier);
  }
  else
  {
    OlectraChart3D_GenerateTag_JPEG(aChart, anIdentifier);
  }
}

function OlectraChart3D_GenerateTag_PNG_BinaryWrite(aChart, anIdentifier)
{
  var ImageBytesID;
  ImageBytesID = anIdentifier + "_ImageBytes_" + (Math.round(Math.random()*( 10000000))).toString(16);
  Session(ImageBytesID) = aChart.SaveImageAsPngBytes(false);
  Response.Write("<IMG ID=\"" + anIdentifier + "\" NAME=\"" + anIdentifier  + "\" SRC=\"ShowC1ChartImage.asp?"+"ImageBytes="+ImageBytesID+"&ImageType=Png"+"\">");
}

function OlectraChart3D_GenerateTag_JPEG_BinaryWrite(aChart, anIdentifier)
{
  var ImageBytesID;
  ImageBytesID = anIdentifier + "_ImageBytes_" + (Math.round(Math.random()*( 10000000))).toString(16);
  Session(ImageBytesID) = aChart.SaveImageAsJpegBytes( 80, false, false, false);
  Response.Write("<IMG ID=\"" + anIdentifier + "\" NAME=\"" + anIdentifier  + "\" SRC=\"ShowC1ChartImage.asp?"+"ImageBytes="+ImageBytesID+"&Type=ImageJpeg"+"\">");
}

%>
