<%
'*****************************************************************************
'*
'* Copyright (c) ComponentOne LLC.
'* Portions Copyright (c) 1999, KL GROUP INC.
'* http://www.componentone.com
'*
'* This file is provided for demonstration and educational uses only.
'* Permission to use, copy, modify and distribute this file for
'* any purpose and without fee is hereby granted, provided that the
'* above copyright notice and this permission notice appear in all
'* copies, and that the name of ComponentOne not be used in advertising
'* or publicity pertaining to this material without the specific,
'* prior written permission of an authorized representative of
'* ComponentOne.
'*
'* COMPONENTONE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
'* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
'* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
'* PURPOSE, OR NON-INFRINGEMENT. COMPONENTONE SHALL NOT BE LIABLE FOR ANY
'* DAMAGES SUFFERED BY USERS AS A RESULT OF USING, MODIFYING OR
'* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
'*
'*****************************************************************************

'---- AdjustConstants Values ----         Specifies the alignment of multiple lines of text.
Const oc2dAdjustLeft = 1                ' Aligned to left edge.
Const oc2dAdjustRight = 2               ' Aligned to right edge.
Const oc2dAdjustCenter = 3              ' Centered.

'---- OrientationConstants Values ----    Specifies the orientation.
Const oc2dOrientVertical = 1            ' Vertical orientation.
Const oc2dOrientHorizontal = 2          ' Horizontal orientation.

'---- AnchorConstants Values ----         Specifies the position of the object relative to the anchor position.
Const oc2dAnchorNorth = 16              ' Above anchor position.
Const oc2dAnchorSouth = 32              ' Below anchor position.
Const oc2dAnchorEast = 1                ' To right of anchor position.
Const oc2dAnchorWest = 2                ' To left of anchor position.
Const oc2dAnchorNorthEast = 17          ' Above and to right of anchor position.
Const oc2dAnchorNorthWest = 18          ' Above and to left of anchor position.
Const oc2dAnchorSouthEast = 33          ' Below and to right of position.
Const oc2dAnchorSouthWest = 34          ' Below and to left of position.
Const oc2dAnchorCenter = 0              ' Center over anchor position (ChartLabel object only).
Const oc2dAnchorAuto = 256              ' Automatically position the object (ChartLabel object only).

'---- AnnotationMethodConstants Values ----  Specifies the annotation method.
Const oc2dAnnotateValues = 0            ' Annotate using chart's X- or Y-values.
Const oc2dAnnotatePointLabels = 1       ' Annotate using Point-labels (X-axis only).
Const oc2dAnnotateValueLabels = 2       ' Annotate using ValueLabels property.
Const oc2dAnnotateTimeLabels = 3        ' Annotate using Time-labels (X-axis only).

'---- AnnotationPlacementConstants Values ----  Specifies the placement of the axis annotation and title.
Const oc2dAnnotateAuto = 0              ' Annotation placement automatically determined.
Const oc2dAnnotateOrigin = 1            ' Annotation along the origin.
Const oc2dAnnotateMinimum = 2           ' Annotation along the axis minimum.
Const oc2dAnnotateMaximum = 3           ' Annotation along the axis maximum.

'---- AttachMethodConstants Values ----   Specifies how a chart label is attached to a chart.
Const oc2dAttachCoord = 0               ' Attach at specified pixel coordinate.
Const oc2dAttachDataCoord = 1           ' Attach to specified data coordinates.
Const oc2dAttachDataIndex = 2           ' Attach to specified data indices.
Const oc2dAttachDataIndexDataY = 3      ' Attach using data index for X coordinate, and data value for Y coordinate.

'---- AxisIDConstants Values ----         Specifies a chart axis.
Const oc2dAxisX = 1                     ' X-axis.
Const oc2dAxisY = 2                     ' Y-axis.
Const oc2dAxisY2 = 3                    ' Y2-axis (second Y-axis).

'---- BorderTypeConstants Values ----     Valid border styles.
Const oc2dBorderNone = 0                ' Border None
Const oc2dBorder3DOut = 1               ' Border 3D Out
Const oc2dBorder3DIn = 2                ' Border 3D In
Const oc2dBorderShadow = 3              ' Border Shadow
Const oc2dBorderPlain = 4               ' Border Plain
Const oc2dBorderEtchedIn = 5            ' Border Etched In
Const oc2dBorderEtchedOut = 6           ' Border Etched Out
Const oc2dBorderFrameIn = 7             ' Border Frame In
Const oc2dBorderFrameOut = 8            ' Border Frame Out
Const oc2dBorderBevel = 9               ' Border Bevel

'---- DataLayoutConstants Values ----     Specifies the layout of the data to be graphed.
Const oc2dDataArray = 1                 ' Array data.
Const oc2dDataGeneral = 2               ' General data.

'---- DisplayConstants Values ----        Specifies the visibility of the item.
Const oc2dDisplayShow = 1               ' Show
Const oc2dDisplayHide = 2               ' Hide
Const oc2dDisplayExclude = 3            ' Exclude

'---- FillPatternConstants Values ----    Valid fill patterns.
Const oc2dFillNone = 1                  ' None
Const oc2dFillSolid = 2                 ' Solid
Const oc2dFill25Percent = 3             ' 25 %
Const oc2dFill50Percent = 4             ' 50 %
Const oc2dFill75Percent = 5             ' 75 %
Const oc2dFillHorizontalStripe = 6      ' Horizontal Stripe
Const oc2dFillVerticalStripe = 7        ' Vertical Stripe
Const oc2dFill45DegreeStripe = 8        ' 45 Degree Stripe
Const oc2dFill135DegreeStripe = 9       ' 135 Degree Stripe
Const oc2dFillDiagHatched = 10          ' Diagonal Hatched
Const oc2dFillCrossHatched = 11         ' Cross Hatched
Const oc2dFillBackwardDiagonal = 12     ' Backward Diagonal
Const oc2dFillCross = 13                ' Cross
Const oc2dFillDiagonalCross = 14        ' Diagonal Cross
Const oc2dFillForwardDiagonal = 15      ' Forward Diagonal
Const oc2dFillHorizontal = 16           ' Horizontal
Const oc2dFillVertical = 17             ' Vertical

'---- FocusConstants Values ----          Specifies how the nearest series and point value are determined.
Const oc2dFocusX = 1                    ' Use X-axis to determine closest value.
Const oc2dFocusY = 2                    ' Use Y-axis to determine closest value.
Const oc2dFocusXY = 3                   ' Use both axes to determine closest value.

'---- LinePatternConstants Values ----    Valid line patterns.
Const oc2dLineNone = 1                  ' None
Const oc2dLineSolid = 2                 ' Solid
Const oc2dLineLongDash = 3              ' Long Dash
Const oc2dLineDotted = 4                ' Dotted
Const oc2dLineShortDash = 5             ' Short Dash
Const oc2dLineLongShortLongDash = 6     ' Long Short Long Dash
Const oc2dLineDashDot = 7               ' Dash Dot

'---- MarkerMethodConstants Values ----   Specifies the marker positioning method used.
Const oc2dMarkerDataCoord = 2           ' Specify position in data coordinates.
Const oc2dMarkerDataIndex = 1           ' Specify position as an index into a data set.

'---- NumMethodConstants Values ----      Specifies the method used to calculate axis numbering.
Const oc2dNumPrecision = 0              ' Use current value of axis precision.
Const oc2dNumRound = 1                  ' Use rounded numbers (most significant digit is 1, 2 or 5).

'---- OriginPlacementConstants Values ----  Specifies the location of the origin.
Const oc2dOriginAuto = 0                ' Origin location automatically determined.
Const oc2dOriginZero = 1                ' Origin at zero.
Const oc2dOriginMinimum = 2             ' Origin at axis minimum.
Const oc2dOriginMaximum = 3             ' Origin at axis maximum.

'---- SortOrderConstants Values ----      Specifies the order in which pie slices should be displayed.
Const oc2dSortOrderAscending = 1        ' Ascending order.
Const oc2dSortOrderDescending = 2       ' Descending order.
Const oc2dSortOrderNone = 3             ' Data Order.

'---- ThresholdConstants Values ----      Specifies the method used to determine which point values will be grouped into the "other" slice in pie charts.
Const oc2dThresholdSliceCutoff = 1      ' Group all values whose individual percentage is less than ThresholdValue.
Const oc2dThresholdPercentile = 2       ' Group values whose total percentage is less than ThresholdValue.

'---- ShapeConstants Values ----          Valid symbol shapes.
Const oc2dShapeNone = 1                 ' None
Const oc2dShapeDot = 2                  ' Dot
Const oc2dShapeBox = 3                  ' Box
Const oc2dShapeTriangle = 4             ' Triangle
Const oc2dShapeDiamond = 5              ' Diamond
Const oc2dShapeStar = 6                 ' Star
Const oc2dShapeVerticalLine = 7         ' Vertical Line
Const oc2dShapeHorizontalLine = 8       ' Horizontal Line
Const oc2dShapeCross = 9                ' Cross
Const oc2dShapeCircle = 10              ' Circle
Const oc2dShapeSquare = 11              ' Square
Const oc2dShapeInvertTriangle = 12      ' Invert Triangle
Const oc2dShapeDiagonalCross = 13       ' Diagonal Cross
Const oc2dShapeOpenTriangle = 14        ' Open Triangle
Const oc2dShapeOpenDiamond = 15         ' Open Diamond
Const oc2dShapeOpenInvertTriangle = 16  ' Open Invert Triangle

'---- RegionConstants Values ----         Specifies a region of a chart.
Const oc2dRegionInChartArea = -100      ' Located in chart area.
Const oc2dRegionInLegend = -99          ' Located in legend.
Const oc2dRegionInHeader = -98          ' Located in header.
Const oc2dRegionInFooter = -97          ' Located in footer.
Const oc2dRegionNone = -96              ' No particular region.

'---- RotationConstants Values ----       Specifies an angle of rotation (in counterclockwise degrees).
Const oc2dRotateNone = 1                ' No rotation.
Const oc2dRotate90Degrees = 2           ' Rotate 90 degrees.
Const oc2dRotate270Degrees = 3          ' Rotate 270 degrees.
Const oc2dRotate45Degrees = 4           ' Rotate 45 degrees.
Const oc2dRotate315Degrees = 5          ' Rotate 315 degrees.

'---- TimeUnitConstants Values ----       Specifies the time unit to use in a time-axis.
Const oc2dTimeSeconds = 1               ' Seconds
Const oc2dTimeMinutes = 2               ' Minutes
Const oc2dTimeHours = 3                 ' Hours
Const oc2dTimeDays = 4                  ' Days
Const oc2dTimeWeeks = 5                 ' Weeks
Const oc2dTimeMonths = 6                ' Months
Const oc2dTimeYears = 7                 ' Years

'---- ChartTypeConstants Values ----      Specifies the chart display type.
Const oc2dTypePlot = 1                  ' Line chart.
Const oc2dTypeBar = 2                   ' Bar chart.
Const oc2dTypePie = 3                   ' Pie chart.
Const oc2dTypeStackingBar = 4           ' Stacking bar chart.
Const oc2dTypeArea = 5                  ' Area chart.
Const oc2dTypeHiLo = 6                  ' HiLo chart.
Const oc2dTypeHiLoOpenClose = 7         ' HiLoOpenClose chart.
Const oc2dTypeCandle = 8                ' Candle chart.
Const oc2dTypePolar = 9                 ' Polar chart.
Const oc2dTypeRadar = 10                ' Radar chart.
Const oc2dTypeFilledRadar = 11          ' Filled radar chart.
Const oc2dTypeBubble = 12               ' Bubble chart.

'---- ActionConstants Values ----         Specifies a user action.
Const oc2dActionNone = 0                ' No action.
Const oc2dActionModifyStart = 1         ' Start a user interaction.
Const oc2dActionModifyEnd = 2           ' Notify application that user interaction has ended.
Const oc2dActionRotate = 3              ' Rotate the chart.
Const oc2dActionScale = 4               ' Scale the chart.
Const oc2dActionTranslate = 5           ' Translate the chart.
Const oc2dActionZoomStart = 6           ' Start zoom.
Const oc2dActionZoomUpdate = 7          ' Update the zoom area selection rubberband.
Const oc2dActionZoomEnd = 8             ' Zoom into chart at the area selected by the rubberband.
Const oc2dActionZoomCancel = 9          ' Cancel zoom in progress.
Const oc2dActionReset = 10              ' Restore all scaling and translations to default.
Const oc2dActionProperties = 11         ' Display property page.
Const oc2dActionZoomAxisEnd = 12        ' Zoom into chart at selected area, retaining the axes.

'---- FormatConstants Values ----         Specifies the format to use when printing.
Const oc2dFormatBitmap = 1              ' Bitmap (.BMP).
Const oc2dFormatMetafile = 2            ' Metafile (.WMF).
Const oc2dFormatEnhMetafile = 3         ' Enhanced metafile (.EMF).
Const oc2dFormatStandardMetafile = 4    ' Standard metafile (.WMF).

'---- ScaleConstants Values ----          Specifies the scaling to use when printing.
Const oc2dScaleNone = 1                 ' Same size as actual chart.
Const oc2dScaleToWidth = 2              ' Scale to specified width, preserving aspect ratio.
Const oc2dScaleToHeight = 3             ' Scale to specified height, preserving aspect ratio.
Const oc2dScaleToFit = 4                ' Scale to existing window (minimum of height and width), preserving aspect ratio.
Const oc2dScaleToMax = 5                ' Enlarge to size of page.

'---- AngleUnitConstants Values ----      Specifies the angle unit of polar and radar charts.
Const oc2dAngleUnitDegrees = 1          ' Degree angles.
Const oc2dAngleUnitRadians = 2          ' Radian angles.
Const oc2dAngleUnitGrads = 3            ' Grad angles.

'---- ShadingConstants Values ----        Specifies the shading method applied to 3D areas.
Const oc2dShadingColor = 1              ' Colored 3D effects.
Const oc2dShadingDithered = 2           ' Dithered 3D effects.
Const oc2dShadingNone = 3               ' No special 3D effects.

'---- CategoryConstants Values ----       Specifies the value format category.
Const oc2dCategoryStandard = 1          ' .
Const oc2dCategoryNumber = 2            ' 1,234.56.
Const oc2dCategoryCurrency = 3          ' $1,234.56.
Const oc2dCategoryAccounting = 4        ' $1,234.56.
Const oc2dCategoryPercentage = 7        ' 12.34%.
Const oc2dCategoryFraction = 8          ' 1,234 56/100.
Const oc2dCategoryScientific = 9        ' 1.23E+03.
Const oc2dCategoryCustom = 12           ' .

'---- OrderSignValueConstants Values ----  Specifies the order of the sign and value.
Const oc2dosvValueSign = 1              ' Value, sign:  1.1-.
Const oc2dosvSignValue = 2              ' Sign, value:  -1.1.

'---- OrderCurrencySignValueConstants Values ----  Specifies the order of the currency symbol, sign and value.
Const oc2docsvValueSignCurrency = 1     ' Value, sign, currency:  1.1-$.
Const oc2docsvSignValueCurrency = 2     ' Sign, value, currency:  -1.1$.
Const oc2docsvValueCurrencySign = 3     ' Value, currency, sign:  1.1$-.
Const oc2docsvSignCurrencyValue = 4     ' Sign, currency, value:  -$1.1.
Const oc2docsvCurrencyValueSign = 5     ' Currency, value, sign:  $1.1-.
Const oc2docsvCurrencySignValue = 6     ' Currency, sign, value:  $-1.1.

'---- OrderPercentSignValueConstants Values ----  Specifies the order of the percent symbol, sign and value.
Const oc2dopsvValueSignPercent = 1      ' Value, sign, percent:  1.1-%.
Const oc2dopsvSignValuePercent = 2      ' Sign, value, percent:  -1.1%.
Const oc2dopsvValuePercentSign = 3      ' Value, percent, sign:  1.1%-.
Const oc2dopsvSignPercentValue = 4      ' Sign, percent, value:  -%1.1.
Const oc2dopsvPercentValueSign = 5      ' Percent, value, sign:  %1.1-.
Const oc2dopsvPercentSignValue = 6      ' Percent, sign, value:  %-1.1.

'---- ChartEditorElementConstants Values ----  Chart editor elements.
Const oc2dceeControl = 1                ' .
Const oc2dceeAxes = 2                   ' .
Const oc2dceeChartGroups = 3            ' .
Const oc2dceeChartStyles = 4            ' .
Const oc2dceeTitles = 5                 ' .
Const oc2dceeView3D = 9                 ' .
Const oc2dceeMarkers = 10               ' .
Const oc2dceeLegend = 11                ' .
Const oc2dceeChartArea = 12             ' .
Const oc2dceePlotArea = 13              ' .
Const oc2dceeChartLabels = 14           ' .
Const oc2dceeControlGeneral = 41        ' .
Const oc2dceeControlBorder = 42         ' .
Const oc2dceeControlInterior = 43       ' .
Const oc2dceeControlImage = 44          ' .
Const oc2dceeControlAbout = 45          ' .
Const oc2dceeAxesGeneral = 61           ' .
Const oc2dceeAxesAnnotation = 62        ' .
Const oc2dceeAxesScale = 63             ' .
Const oc2dceeAxesTitle = 64             ' .
Const oc2dceeAxesGrid = 65              ' .
Const oc2dceeAxesGridStyle = 66         ' .
Const oc2dceeAxesFont = 67              ' .
Const oc2dceeAxesPolarRadar = 68        ' .
Const oc2dceeAxesAxisStyle = 69         ' .
Const oc2dceeChartGroupsGeneral = 81    ' .
Const oc2dceeChartGroupsData = 82       ' .
Const oc2dceeChartGroupsLabels = 83     ' .
Const oc2dceeChartGroupsBinding = 84    ' .
Const oc2dceeChartGroupsBar = 85        ' .
Const oc2dceeChartGroupsCandle = 86     ' .
Const oc2dceeChartGroupsHiLoOpenClose = 87  ' .
Const oc2dceeChartGroupsPie = 88        ' .
Const oc2dceeChartGroupsOtherSlice = 89  ' .
Const oc2dceeChartGroupsPolar = 90      ' .
Const oc2dceeChartGroupsInternet = 91   ' .
Const oc2dceeChartGroupsBubble = 92     ' .
Const oc2dceeChartStylesFillStyle = 101  ' .
Const oc2dceeChartStylesLineStyle = 102  ' .
Const oc2dceeChartStylesSymbolStyle = 103  ' .
Const oc2dceeChartStylesSliceStyle = 104  ' .
Const oc2dceeTitlesGeneral = 121        ' .
Const oc2dceeTitlesLabel = 122          ' .
Const oc2dceeTitlesLocation = 123       ' .
Const oc2dceeTitlesBorder = 124         ' .
Const oc2dceeTitlesInterior = 125       ' .
Const oc2dceeTitlesFont = 126           ' .
Const oc2dceeTitlesImage = 127          ' .
Const oc2dceeView3DGeneral = 201        ' .
Const oc2dceeMarkersGeneral = 221       ' .
Const oc2dceeMarkersAttach = 222        ' .
Const oc2dceeMarkersLineStyle = 223     ' .
Const oc2dceeLegendGeneral = 241        ' .
Const oc2dceeLegendLocation = 242       ' .
Const oc2dceeLegendBorder = 243         ' .
Const oc2dceeLegendInterior = 244       ' .
Const oc2dceeLegendFont = 245           ' .
Const oc2dceeLegendImage = 246          ' .
Const oc2dceeLegendTitle = 247          ' .
Const oc2dceeChartAreaGeneral = 261     ' .
Const oc2dceeChartAreaLocation = 262    ' .
Const oc2dceeChartAreaBorder = 263      ' .
Const oc2dceeChartAreaInterior = 264    ' .
Const oc2dceeChartAreaImage = 265       ' .
Const oc2dceePlotAreaGeneral = 281      ' .
Const oc2dceePlotAreaInterior = 282     ' .
Const oc2dceePlotAreaImage = 283        ' .
Const oc2dceeChartLabelsGeneral = 301   ' .
Const oc2dceeChartLabelsLabel = 302     ' .
Const oc2dceeChartLabelsBorder = 303    ' .
Const oc2dceeChartLabelsInterior = 304  ' .
Const oc2dceeChartLabelsFont = 305      ' .
Const oc2dceeChartLabelsLocation = 306  ' .
Const oc2dceeChartLabelsImage = 307     ' .
Const oc2dceeControlGeneralLoad = 361   ' .
Const oc2dceeControlGeneralSave = 362   ' .
Const oc2dceeChartStylesAdd = 401       ' .
Const oc2dceeChartStylesRemove = 402    ' .
Const oc2dceeChartGroupsDataLoad = 441  ' .
Const oc2dceeChartGroupsDataSave = 442  ' .
Const oc2dceeChartGroupsDataSort = 443  ' .
Const oc2dceeChartGroupsDataEdit = 444  ' .
Const oc2dceeChartGroupsDataSeries = 445  ' .

'---- ImageLayoutConstants Values ----    Specifies the image layout.
Const oc2dImageCentered = 1             ' Centered image
Const oc2dImageTiled = 2                ' Tiled image
Const oc2dImageFitted = 3               ' Fitted image
Const oc2dImageStretched = 4            ' Stretched image
Const oc2dImageStretchedToWidth = 5     ' Stretched to width image
Const oc2dImageStretchedToHeight = 6    ' Stretched to height image
Const oc2dImageCropFitted = 7           ' Crop fitted image

'---- BubbleMethodConstants Values ----   Specifies the method of determining bubble size
Const oc2dBubbleDiameter = 1            ' Bubble size based on diameter
Const oc2dBubbleArea = 2                ' Bubble size based on area

%>
