<%
'*****************************************************************************
'*
'* Copyright (c) ComponentOne LLC.
'* Portions Copyright (c) 1999, KL GROUP INC.
'* http://www.componentone.com
'*
'* This file is provided for demonstration and educational uses only.
'* Permission to use, copy, modify and distribute this file for
'* any purpose and without fee is hereby granted, provided that the
'* above copyright notice and this permission notice appear in all
'* copies, and that the name of ComponentOne not be used in advertising
'* or publicity pertaining to this material without the specific,
'* prior written permission of an authorized representative of
'* ComponentOne.
'*
'* COMPONENTONE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
'* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
'* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
'* PURPOSE, OR NON-INFRINGEMENT. COMPONENTONE SHALL NOT BE LIABLE FOR ANY
'* DAMAGES SUFFERED BY USERS AS A RESULT OF USING, MODIFYING OR
'* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
'*
'*****************************************************************************

Function OlectraChart2D_AllocateTemporaryFile()
  Dim TFA

  If (IsEmpty(Session("TFA"))) Then
    ' Create a temporary file allocator.
    Set TFA = Server.CreateObject("C1Chart8.ASPTemporaryFileAllocator")
    TFA.VirtualDirectory = "/OCTemp/" & Hex(Session.SessionID) & Hex(Clng((Now() -10000) * 10000))
    TFA.CleanDirectory

    ' Store the temporary file allocator in the session object.
    Set Session("TFA") = TFA
	
	'Default is 20 minute timeout.  However resetting the Session Timeout value
	'also defines how long the temporary file will be retained.
	'Session.Timeout = 1
  Else
    ' Re-use the existing temporary file allocator.
    Set TFA = Session("TFA")
  End If

  ' Allocate a temporary file.
  Set OlectraChart2D_AllocateTemporaryFile = TFA.Allocate()
End Function

Sub OlectraChart2D_GenerateTag_JPEG(aChart, anIdentifier)
  ' Generate an HTML tag for a JPEG image.
  Dim TF
  Set TF = OlectraChart2D_AllocateTemporaryFile()
  aChart.SaveImageAsJPeg TF.Name & ".JPG", 100, False, False, True
  Response.Write("<IMG SRC=""" & TF.VirtualName & ".JPG"" ID=""" + anIdentifier + """ NAME=""" + anIdentifier + """>")
End Sub

Sub OlectraChart2D_GenerateTag_PNG(aChart, anIdentifier)
  ' Generate an HTML tag for a PNG image.
  Dim TF
  Set TF = OlectraChart2D_AllocateTemporaryFile()
  aChart.SaveImageAsPng TF.Name & ".PNG", True
  Response.Write("<IMG SRC=""" & TF.VirtualName & ".PNG"" ID=""" + anIdentifier + """ NAME=""" + anIdentifier + """>")
End Sub

Sub OlectraChart2D_GenerateTag_Control(aChart, anIdentifier)
  ' Generate an HTML tag for an ActiveX control.
  Dim TF
  Set TF = OlectraChart2D_AllocateTemporaryFile()
  aChart.Save TF.Name & ".OC2"
  ' Invoke the License Manager to register the control
  Response.Write("<OBJECT CLASSID=""clsid:5220cb21-c88d-11cf-b347-00aa00a28331"">" & Chr(10))
  Response.Write("<PARAM NAME=""LPKPath"" value=""/WebChart8/CABs/olch2x8.lpk""> " & Chr(10))
  Response.Write("</OBJECT>" & Chr(10))
  Response.Write(Chr(10))
  ' Insert the chart and load the OC2 data file
  Response.Write("<object ID=""" & anIdentifier & """ ")
  Response.Write("WIDTH=""" & aChart.Width & """ HEIGHT=""" & aChart.Height & """ " & Chr(10))
  Response.Write("CLASSID=""CLSID:58A968A5-E3CE-4743-9CE4-A27357009527"" " & Chr(10))
  Response.Write("CODEBASE=""/WebChart8/CABs/olch2x8.cab"">" & Chr(10))
  Response.Write("<PARAM NAME=""DataPath"" ")
  Response.Write("VALUE=""http://" & Request.ServerVariables("SERVER_NAME") & TF.VirtualName & ".OC2"">" & Chr(10))
  Response.Write("</object>" & Chr(10))
End Sub

Sub OlectraChart2D_GenerateTag_Image(aChart, anIdentifier)
  ' Virtually all browsers now handle PNG files.  So if an image
  ' is requested, use PNG as the quality is so much better.
  '

  ' Generate the appropriate HTML image tag based on the browser's capabilities.
  'Dim BC
  'Set BC = Server.CreateObject("MSWC.BrowserType")
  'If (BC.PNG = True) Then
    OlectraChart2D_GenerateTag_PNG aChart, anIdentifier
  'Else
  '  OlectraChart2D_GenerateTag_JPEG aChart, anIdentifier
  'End If
End Sub

Sub OlectraChart2D_GenerateTag(aChart, anIdentifier)
  ' Generate the appropriate HTML tag based on the browser's capabilities.
  Dim BC
  Set BC = Server.CreateObject("MSWC.BrowserType")
  If (BC.ActiveXControls = True) Then
    OlectraChart2D_GenerateTag_Control aChart, anIdentifier
  ElseIf (BC.PNG = True) Then
    OlectraChart2D_GenerateTag_PNG aChart, anIdentifier
  Else
    OlectraChart2D_GenerateTag_JPEG aChart, anIdentifier
  End If
End Sub

Sub OlectraChart2D_GenerateTag_PNG_BinaryWrite(aChart, anIdentifier)
  Dim ImageBytesID
  Randomize
  ImageBytesID = anIdentifier + "_ImageBytes_" & Hex(Int((Rnd()*( 10000000))))
  Session(ImageBytesID) = aChart.SaveImageAsPngBytes(False)
  Response.Write("<IMG ID=""" + anIdentifier + """ NAME=""" + anIdentifier + """ SRC=""ShowC1ChartImage.asp?"+"ImageBytes="+ImageBytesID+"&ImageType=Png"+""">")
End Sub

Sub OlectraChart2D_GenerateTag_JPEG_BinaryWrite(aChart, anIdentifier)
  Dim ImageBytesID
  Randomize
  ImageBytesID = anIdentifier + "_ImageBytes_" & Hex(Int((Rnd()*( 10000000))))
  Session(ImageBytesID) = aChart.SaveImageAsJpegBytes(80,False,False,False)
  Response.Write("<IMG ID=""" + anIdentifier + """ NAME=""" + anIdentifier + """ SRC=""ShowC1ChartImage.asp?"+"ImageBytes="+ImageBytesID+"&ImageType=Jpeg"+""">")
End Sub

%>
