<%
'*****************************************************************************
'*
'* Copyright (c) ComponentOne LLC.
'* Portions Copyright (c) 1999, KL GROUP INC.
'* http://www.componentone.com
'*
'* This file is provided for demonstration and educational uses only.
'* Permission to use, copy, modify and distribute this file for
'* any purpose and without fee is hereby granted, provided that the
'* above copyright notice and this permission notice appear in all
'* copies, and that the name of ComponentOne not be used in advertising
'* or publicity pertaining to this material without the specific,
'* prior written permission of an authorized representative of
'* ComponentOne.
'*
'* COMPONENTONE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
'* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
'* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
'* PURPOSE, OR NON-INFRINGEMENT. COMPONENTONE SHALL NOT BE LIABLE FOR ANY
'* DAMAGES SUFFERED BY USERS AS A RESULT OF USING, MODIFYING OR
'* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
'*
'*****************************************************************************


'---- AdjustConstants Values ----         Specifies the alignment of multiple lines of text in a header or footer.
Const oc3dAdjustLeft = 1                ' Aligned to left edge.
Const oc3dAdjustRight = 2               ' Aligned to right edge.
Const oc3dAdjustCenter = 3              ' Centered.

'---- OrientationConstants Values ----    Specifies the orientation.
Const oc3dOrientVertical = 1            ' Vertical orientation.
Const oc3dOrientHorizontal = 2          ' Horizontal orientation.

'---- AnchorConstants Values ----         Specifies the position of the object relative to the anchor position.
Const oc3dAnchorNorth = 16              ' Above anchor position.
Const oc3dAnchorSouth = 32              ' Below anchor position.
Const oc3dAnchorEast = 1                ' To right of anchor position.
Const oc3dAnchorWest = 2                ' To left of anchor position.
Const oc3dAnchorNorthEast = 17          ' Above and to right of anchor position.
Const oc3dAnchorNorthWest = 18          ' Above and to left of anchor position.
Const oc3dAnchorSouthEast = 33          ' Below and to right of position.
Const oc3dAnchorSouthWest = 34          ' Below and to left of position.

'---- AnnotationMethodConstants Values ----  Specifies the annotation method.
Const oc3dAnnotateValues = 1            ' Annotate using chart's data values.
Const oc3dAnnotateDataLabels = 2        ' Annotate using data labels.
Const oc3dAnnotateValueLabels = 3       ' Annotate using ValueLabels property.

'---- AttachMethodConstants Values ----   Specifies how a chart label is attached to a chart.
Const oc3dAttachDataIndex = 0           ' Attach to a grid index.
Const oc3dAttachCoord = 1               ' Attach to pixel coordinates on the chart.
Const oc3dAttachDataCoord = 2           ' Attach to a point in 3D space.

'---- AxisIDConstants Values ----         Specifies a chart axis.
Const oc3dAxisX = 1                     ' X-axis.
Const oc3dAxisY = 2                     ' Y-axis.
Const oc3dAxisZ = 3                     ' Z-axis.

'---- BarFormatConstants Values ----      The format in which bars are displayed.
Const oc3dBarFixed = 0                  ' Fixed format.
Const oc3dBarHistogram = 1              ' Histogram format.

'---- BorderTypeConstants Values ----     Valid border styles.
Const oc3dBorderNone = 0                ' Border None.
Const oc3dBorder3DOut = 1               ' Border 3D Out.
Const oc3dBorder3DIn = 2                ' Border 3D In.
Const oc3dBorderShadow = 3              ' Border Shadow.
Const oc3dBorderPlain = 4               ' Border Plain.
Const oc3dBorderEtchedIn = 5            ' Border Etched In.
Const oc3dBorderEtchedOut = 6           ' Border Etched Out.
Const oc3dBorderFrameIn = 7             ' Border Frame In
Const oc3dBorderFrameOut = 8            ' Border Frame Out
Const oc3dBorderBevel = 9               ' Border Bevel

'---- DataLayoutConstants Values ----     Specifies the type of data to be charted.
Const oc3dDataGrid = 1                  ' Regular grid data.
Const oc3dDataIrregularGrid = 2         ' Irregular grid data.
Const oc3dDataPoint = 3                 ' Point data.

'---- InterpolationConstants Values ----  Specifies the spline interpolation method to use.
Const oc3dInterpolateLinearSpline = 1   ' Linear spline interpolation.
Const oc3dInterpolateCubicSpline = 2    ' Cubic spline interpolation.

'---- DistributionRangeConstants Values ----  Specifies the distribution range to use.
Const oc3dDistributionRangeData = 1     ' Range spanned by the data.
Const oc3dDistributionRangeAll = 2      ' Entire range of distribution table.

'---- LegendTypeConstants Values ----     Determines the legend style.
Const oc3dLegendTypeStepped = 1         ' Range printed for each zone.
Const oc3dLegendTypeContinuous = 2      ' Level printed at the division between two adjacent zones.

'---- LinePatternConstants Values ----    Valid line patterns.
Const oc3dLineNone = 1                  ' None
Const oc3dLineSolid = 2                 ' Solid
Const oc3dLineLongDash = 3              ' Long Dash
Const oc3dLineDotted = 4                ' Dotted
Const oc3dLineShortDash = 5             ' Short Dash
Const oc3dLineLongShortLongDash = 6     ' Long Short Long Dash
Const oc3dLineDashDot = 7               ' Dash Dot

'---- PlaneConstants Values ----          Specifies a plane of the chart.
Const oc3dXYPlane = 1                   ' The XY-Plane
Const oc3dXZPlane = 2                   ' The XZ-Plane
Const oc3dYZPlane = 4                   ' The YZ-Plane

'---- RegionConstants Values ----         Specifies a region of a chart.
Const oc3dRegionInChartArea = -100      ' Located in chart area.
Const oc3dRegionInLegend = -99          ' Located in legend.
Const oc3dRegionInHeader = -98          ' Located in header.
Const oc3dRegionInFooter = -97          ' Located in footer.
Const oc3dRegionNone = -96              ' No particular region.

'---- StrokeFontConstants Values ----     Specifies a stroke font.
Const oc3dCyrillicComplex = 0           ' Cyrillic Complex
Const oc3dGothicEnglish = 1             ' Gothic English
Const oc3dGothicGerman = 2              ' Gothic German
Const oc3dGothicItalian = 3             ' Gothic Italian
Const oc3dGreekComplex = 4              ' Greek Complex
Const oc3dGreekComplexSmall = 5         ' Greek Complex Small
Const oc3dGreekSimplex = 6              ' Greek Simplex
Const oc3dItalicComplex = 7             ' Italic Complex
Const oc3dItalicComplexSmall = 8        ' Italic Complex Small
Const oc3dItalicTriplex = 9             ' Italic Triplex
Const oc3dRomanComplex = 10             ' Roman Complex
Const oc3dRomanComplexSmall = 11        ' Roman Complex Small
Const oc3dRomanDuplex = 12              ' Roman Duplex
Const oc3dRomanSimplex = 13             ' Roman Simplex
Const oc3dRomanTriplex = 14             ' Roman Triplex
Const oc3dScriptComplex = 15            ' Script Complex
Const oc3dScriptSimplex = 16            ' Script Simplex

'---- ChartTypeConstants Values ----      Specifies the chart display type.
Const oc3dTypeSurface = 0               ' Surface chart.
Const oc3dTypeBar = 1                   ' Bar chart.
Const oc3dTypeScatter = 2               ' Scatter chart.

'---- ZoneMethodConstants Values ----     Specifies the method used to fill each zone region.
Const oc3dZoneContours = 0              ' Contour zoning.
Const oc3dZoneCells = 1                 ' Cell zoning.

'---- PreviewMethodConstants Values ----  Specifies how interactive rotations are to be presented to the user.
Const oc3dPreviewCube = 0               ' Draw outline of plot cube.
Const oc3dPreviewFull = 100             ' Draw entire chart.

'---- ActionConstants Values ----         Specifies a user action.
Const oc3dActionNone = 0                ' No action.
Const oc3dActionModifyStart = 1         ' Start any user interaction.
Const oc3dActionModifyEnd = 2           ' Notify application that user interaction has ended.
Const oc3dActionModifyCancel = 3        ' Cancel a user interaction.
Const oc3dActionRotate = 4              ' Rotate the chart.
Const oc3dActionScale = 5               ' Scale the chart.
Const oc3dActionTranslate = 6           ' Translate the chart.
Const oc3dActionZoomStart = 7           ' Start zoom.
Const oc3dActionZoomUpdate = 8          ' Update the zoom rubberband.
Const oc3dActionZoomEnd = 9             ' End a zoom.
Const oc3dActionZoomCancel = 10         ' Cancel a zoom in progress.
Const oc3dActionReset = 11              ' Undo all scaling and translations.
Const oc3dActionProperties = 12         ' Display property page.
Const oc3dActionRotateXAxis = 100       ' Rotate about X-axis.
Const oc3dActionRotateYAxis = 101       ' Rotate about Y-axis.
Const oc3dActionRotateZAxis = 102       ' Rotate about Z-axis.
Const oc3dActionRotateEye = 103         ' Rotate about the eyepoint.
Const oc3dActionRotateFree = 104        ' Unconstrained Rotation.

'---- FormatConstants Values ----         Specifies the format to use when printing.
Const oc3dFormatBitmap = 1              ' Bitmap.
Const oc3dFormatMetafile = 2            ' Metafile.
Const oc3dFormatEnhMetafile = 3         ' Enhanced Metafile.
Const oc3dFormatStandardMetafile = 4    ' Standard Metafile.

'---- ScaleConstants Values ----          Specifies the scaling to use when printing.
Const oc3dScaleNone = 1                 ' Same size as actual chart.
Const oc3dScaleToWidth = 2              ' Scale to specified width, preserving aspect ratio.
Const oc3dScaleToHeight = 3             ' Scale to specified height, preserving aspect ratio.
Const oc3dScaleToFit = 4                ' Scale to existing window (minimum of height and width), preserving aspect ratio.
Const oc3dScaleToMax = 5                ' Enlarge to size of page.

'---- ChartEditorElementConstants Values ----  Chart editor elements constants.
Const oc3dceeControl = 1                ' .
Const oc3dceeAxes = 2                   ' .
Const oc3dceeChartGroup = 3             ' .
Const oc3dceeStyles = 4                 ' .
Const oc3dceeTitles = 5                 ' .
Const oc3dceeLegend = 6                 ' .
Const oc3dceeChartArea = 7              ' .
Const oc3dceePlotCube = 8               ' .
Const oc3dceeChartLabels = 9            ' .
Const oc3dceeBar = 10                   ' .
Const oc3dceeSurface = 11               ' .
Const oc3dceeView3D = 12                ' .
Const oc3dceeLevels = 13                ' .
Const oc3dceeChartStyles = 14           ' .
Const oc3dceeControlGeneral = 41        ' .
Const oc3dceeControlBorder = 42         ' .
Const oc3dceeControlInterior = 43       ' .
Const oc3dceeControlAbout = 44          ' .
Const oc3dceeControlImage = 45          ' .
Const oc3dceeAxesGeneral = 61           ' .
Const oc3dceeAxesScale = 62             ' .
Const oc3dceeAxesTitle = 63             ' .
Const oc3dceeAxesGridLines = 64         ' .
Const oc3dceeAxesValueLabels = 65       ' .
Const oc3dceeAxesStrokeFont = 66        ' .
Const oc3dceeAxesGridStyle = 67         ' .
Const oc3dceeAxesFont = 68              ' .
Const oc3dceeChartGroupGeneral = 81     ' .
Const oc3dceeChartGroupData = 82        ' .
Const oc3dceeChartGroupLabels = 83      ' .
Const oc3dceeChartGroupElevation = 84   ' .
Const oc3dceeChartGroupInternet = 85    ' .
Const oc3dceeChartGroupScatter = 86     ' .
Const oc3dceeChartGroupSurface = 87     ' .
Const oc3dceeChartGroupBar = 88         ' .
Const oc3dceeChartGroupBarColor = 89    ' .
Const oc3dceeStylesGeneral = 101        ' .
Const oc3dceeStylesFillStyle = 102      ' .
Const oc3dceeStylesLineStyle = 103      ' .
Const oc3dceeStylesAdd = 104            ' .
Const oc3dceeStylesRemove = 105         ' .
Const oc3dceeTitlesGeneral = 121        ' .
Const oc3dceeTitlesLabel = 122          ' .
Const oc3dceeTitlesLocation = 123       ' .
Const oc3dceeTitlesBorder = 124         ' .
Const oc3dceeTitlesInterior = 125       ' .
Const oc3dceeTitlesFont = 126           ' .
Const oc3dceeTitlesImage = 127          ' .
Const oc3dceeLegendGeneral = 141        ' .
Const oc3dceeLegendLabels = 142         ' .
Const oc3dceeLegendLocation = 143       ' .
Const oc3dceeLegendBorder = 144         ' .
Const oc3dceeLegendInterior = 145       ' .
Const oc3dceeLegendFont = 146           ' .
Const oc3dceeLegendImage = 147          ' .
Const oc3dceeLegendTitle = 148          ' .
Const oc3dceeChartAreaLocation = 162    ' .
Const oc3dceeChartAreaBorder = 163      ' .
Const oc3dceeChartAreaInterior = 164    ' .
Const oc3dceeChartAreaImage = 165       ' .
Const oc3dceePlotCubeGeneral = 181      ' .
Const oc3dceePlotCubeCeiling = 182      ' .
Const oc3dceePlotCubeFloor = 183        ' .
Const oc3dceePlotCubeViewport = 184     ' .
Const oc3dceePlotCubeInterior = 185     ' .
Const oc3dceeChartLabelsGeneral = 201   ' .
Const oc3dceeChartLabelsAttach = 202    ' .
Const oc3dceeChartLabelsLabel = 203     ' .
Const oc3dceeChartLabelsBorder = 204    ' .
Const oc3dceeChartLabelsInterior = 205  ' .
Const oc3dceeChartLabelsFont = 206      ' .
Const oc3dceeChartLabelsStrokeFont = 207  ' .
Const oc3dceeChartLabelsImage = 208     ' .
Const oc3dceeBarGeneral = 221           ' .
Const oc3dceeBarColors = 222            ' .
Const oc3dceeSurfaceGeneral = 241       ' .
Const oc3dceeView3DGeneral = 261        ' .
Const oc3dceeLevelsGeneral = 281        ' .
Const oc3dceeLevelsAdd = 282            ' .
Const oc3dceeLevelsRemove = 283         ' .
Const oc3dceeControlGeneralLoad = 301   ' .
Const oc3dceeControlGeneralSave = 302   ' .
Const oc3dceeChartGroupDataLoad = 341   ' .
Const oc3dceeChartGroupDataSave = 342   ' .
Const oc3dceeChartGroupDataSmooth = 343  ' .
Const oc3dceeChartGroupDataEdit = 344   ' .
Const oc3dceeChartGroupDataRowLayout = 345  ' .
Const oc3dceeChartGroupDataColLayout = 346  ' .
Const oc3dceeStylesGeneralLoad = 381    ' .
Const oc3dceeStylesGeneralSave = 382    ' .
Const oc3dceeStylesGeneralReset = 383   ' .
Const oc3dceeLevelsGeneralLoad = 421    ' .
Const oc3dceeLevelsGeneralSave = 422    ' .
Const oc3dceeChartStylesLineStyle = 431  ' .
Const oc3dceeChartStylesSymbolStyle = 432  ' .
Const oc3dceeChartStylesAdd = 433       ' .
Const oc3dceeChartStylesRemove = 434    ' .

'---- ImageLayoutConstants Values ----    Specifies the image layout.
Const oc3dImageCentered = 1             ' Centered image
Const oc3dImageTiled = 2                ' Tiled image
Const oc3dImageFitted = 3               ' Fitted image
Const oc3dImageStretched = 4            ' Stretched image
Const oc3dImageStretchedToWidth = 5     ' Stretched to width image
Const oc3dImageStretchedToHeight = 6    ' Stretched to height image
Const oc3dImageCropFitted = 7           ' Crop fitted image

'---- ShapeConstants Values ----          Valid symbol shapes.
Const oc3dShapeNone = 1                 ' None
Const oc3dShapeDot = 2                  ' Dot
Const oc3dShapeBox = 3                  ' Box
Const oc3dShapeTriangle = 4             ' Triangle
Const oc3dShapeDiamond = 5              ' Diamond
Const oc3dShapeStar = 6                 ' Star
Const oc3dShapeVerticalLine = 7         ' Vertical Line
Const oc3dShapeHorizontalLine = 8       ' Horizontal Line
Const oc3dShapeCross = 9                ' Cross
Const oc3dShapeCircle = 10              ' Circle
Const oc3dShapeSquare = 11              ' Square
Const oc3dShapeInvertTriangle = 12      ' Invert Triangle
Const oc3dShapeDiagonalCross = 13       ' Diagonal Cross
Const oc3dShapeOpenTriangle = 14        ' Open Triangle
Const oc3dShapeOpenDiamond = 15         ' Open Diamond
Const oc3dShapeOpenInvertTriangle = 16  ' Open Invert Triangle

%>
